MPlayer

  1.5: "Hope" February 27, 2022

    Decoders, demuxers, streams:
    * ffmpeg12vpdau is no longer supported by FFmpeg,
      provide separate ffmpeg1vpdau and ffmpeg2vdpau instead
    * live555 deprecated and disabled by default, will be removed
      in future

    GUI:
    * Fix wrongly sized video window after leaving fullscreen mode
    * Clear screen when switching to fullscreen mode using the x11
      video output driver
    * Command line option -fs is now recognized in addition to the
      GUI option load_fullscreen
    * Use correct visual in OpenGL video output driver for X11
    * Provide a built-in skin so that the GUI can be used even
      without an installed skin
    * Native Language Support, i.e. the GUI language can be changed
      as specified in LC_MESSAGES or LANG
    * Minor bug fixes

    Other:
    * Building on Arm now compiles for the ISA and extensions of the
      host CPU by default. This should avoid issues like builds on
      e.g. Raspbian not using NEON by default.
      Can use --enable-runtime-cpudetection to restore the previous
      behaviour, though full runtime CPU detection is not supported.
    * New configure option --enable-nls for Native Language Support at
      runtime (for the moment only for the GUI and enabled by default
      for it)
    * macOS: Fixes for retina display, sluggish input processing

  1.4: "SubCounter" April 18, 2019

    Decoders, demuxers, streams:
    * More pixel formats are supported for VP9, RSCC, Screenpresso
    * pvr:// support for the Hauppauge HD PVR model 1212
    * Speed up detection of mpg format while streaming (limit probe to 4 MB)
    * demuxer: fall back to audio pts if all others are unavailable (#1928)
    * raw video: add support for < 8bpp RGB, support for paletted raw video,
      fix fliped raw video in non-avi containers
    * increase -lavdopts threads limit to 32
    * warn for badly interleaved files, and make -ni more aggressive
    * support GBR pixel formats for HEVC
    * FFmpeg audio decoders: g721, g732
    * FFmpeg video decoders: more Matrox mpeg2 formats (M702-3-4-5), Truemotion
      RT, Matrox Uncompressed SD/HD, BitJazz SheerVideo, YUY2 Lossless Codec
      Apple Pixlet, ScreenPressor, FM Screen Capture Codec
    * FFmpeg IFF video/image decoders: ANIM, ILBM, PBM, RGB8, RGBN

    Fixes:
    * fix more issues reported by Coverity
    * expand error checking, and fix many memleaks
    * fix -subcp enca: with external ASS subtitles (#2281)
    * fix reading of bitmap fonts
    * fix -subdelay applied inverted
    * some fixes for video filter bmovl (#2304, #2308)
    * fix timing of first and last frame (#2315)

    Other:
    * MPlayer can link against OpenSSL instead of GnuTLS for https support
      (Warning: the resulting binary can not be redistributed)
    * OSD: NV12/NV21 support
    * video output xv: NV12/NV21 support
    * video outputs for OSX: fix a few issues with newer OSX versions

    GUI:
    * No limitation on the number of entries in a font description file
    * Dramatic speedup of scanning font description files
    * Playback improvements for cue sheet playlists
    * Implementation of audio playback utilizing ReplayGain data
    * New symbol character 'g' and new dynamic label variable $g
    * Skins can leave current volume unchanged at startup
    * New configuration file: gui.gain
    * Modern new icons for the (default) menu, the file selector,
      the playlist and the message boxes
    * Rearrangement of some items of the (default) menu
    * Fix of broken evLoadAudioFile, evLoadSubtitle and evDropSubtitle
    * Skin support for 8-bit PNGs with palette


  1.3.0: "worksforme" February 16, 2016

    Decoders, demuxers, streams:
    * HLS streams can be played without ffmpeg:// prefix
    * Removed internal ADPCM decoders for DK3, DK4, MS, MS ima, QT ima
    * FFmpeg ADPCM audio decoders: THP, AICA, EA XAS, PSX, SbPro
    * FFmpeg audio decoders: DSD, DSS sp, Interplay ACM, Zork PCM,
      Xbox media 1 and 2, Ulead DV
    * FFmpeg video decoders: Screenpresso, Hap, more Go2Meeting formats,
      DXV, apng, AVS, CPiA, EA TGQ, EA TQI, Cryo HMN4, Canopus HQ, RSCC/ISCC,
      QTrle monochrome, Canopus C210, Drastic YUYV, Cineform HD

    Fixes:
    * fix many crashes with fuzzed files
    * fix errors for multichannels files and pulseaudio >= 6
    * fix lot of issues reported by Coverity

    Other:
    * MPlayer now depends also on libswresample
    * building with system FFmpeg libs is possible without a local copy of
      of private FFmpeg headers
    * docs building does not require FFmpeg anymore

    FFmpeg:
    * Fix compatibility with post 2.8 changes


  1.2.1:January 24, 2016

    Fixes:
    * misc GUI fixes
    * fix build regression in FreeBSD
    * fix many crashes with fuzzed files
    * fix errors for multichannels files and pulseaudio >= 6
    Other:
    * building with system FFmpeg libs is possible without a local copy of
      of private FFmpeg headers
    * docs building does not require FFmpeg anymore
    * FFmpeg updated to 2.8.5


  1.2: "FrameCounter" October 3, 2015

    Decoders:
    * Hardware accelerated decoding on OS X via VDA.
    * Internal libmpeg2 disabled by default, on the assumption
      that nobody really needs it anymore.

    Other:
    * "run" slave/keybinding command now supports expanding properties
    * better support for > 8 bit formats in -vo gl
    * support for XYZ color space in -vo gl
    * -vo gl now supports OSD (not EOSD though) with GLES backend.
    * GLES backend now uses GLES v2 with YUV support via shaders
    * -vo gl supports rotated display without needing video filters via
      -monitor-orientation command-line option.
    * -vo gl now has an OSX/Cocoa backend, so it should be a better
      alternative to -vo corevideo now.
    * -vo gl2 renamed to -vo gl_tiled to stop people from assuming it is
      better than -vo gl (it is in many ways worse).
    * Fixes for DVB, teletext and closed-caption based subtitles.
    * Support teletext and CC subtitles in WTV.
    * Support binding keys corresponding to non-ASCII characters.
    * Limited -endpos support for -dump*
    * Danish messages header file renamed from help_mp-dk.h to help_mp-da.h
      in order to comply with ISO 639 language code (configure language
      options will now require da instead of dk)
    * configure: options --enable-gtk1, --with-glib-config= and
      --with-gtk-config= removed
    * Change ID3 genre name for genre ID 67 from "Psychadelic"
      to "Psychedelic"
    * support for audio bin/cue images

    Ports:
    * Windows: support file names as UTF-8 in slave mode and passing
      file names as wchar command line arguments.
    * Android: MPlayer can be run from adb shell and display videos
      via OpenGL ES.
      Note that just a bit of seeking etc. would cause reproducible
      system reboots after just a few seconds on my Galaxy S2.
    * Android: -wid is supported. This should allow using MPlayer in slave
      mode, a native window pointer needs to be passed as -wid. Untested.

    GUI:
    * Support for TV/DVB
    * Various improvements of the context menu and the preferences dialog
    * Revision of the user interface texts
    * Console message with information on deprecated (but still supported)
      entries in the skin configuration file
    * New symbol character (r) and new dynamic label variables ($D, $U, $P)
    * New items (pimage, rpotmeter)
    * Updated skins (avifile, Blue, Blue-small, Clearlooks, Corelian,
      disappearer, mentalic, mplayer_red, nativeRed, neutron, phony, plastic,
      slim, softgrip, standard, trium, tvisor, xanim)
    * Video can be rotated
    * New GUI message: evSetRotation
    * GUI now officially needs GTK+ and GLib versions 2 (it hadn't compiled
      with versions 1 for quite some time)
    * Support for audio and video bin/cue image playback
    * Support for Audio CD / (Super) Video CD / DVD image and DVD copy playback
      through the respective scheme (cd://, vcd://, dvd://)
    * Support for arbitrary non-binary data file cue sheets (i.e. cue sheets
      describing playlists for data files containing multiple titles)

    FFmpeg:
    * Version 2.8 with local patches

  1.1.1: May 5, 2013

    Security:
    * disable unsafe playlist parsing
    * security fixes in asx parser
    Other:
    * FFmpeg updated to 0.11


  1.1: "We gave up on 1.0" June 10, 2012

    Decoders:
    * FFmpeg AAC decoder is now preferred over libfaad2 and the internal
      libfaad2 forked copy has been removed in its favor

    Demuxers:
    * experimental support for using binary Quicktime codecs with -demuxer lavf.
    * correct runtime and average bitrate for VBR (variable bitrate) MP3

    Filters:
    * delogo: allow to change the rectangle based on the time.
    * lavfi: libavfilter filter graphs (experimental).

    Other:
    * -dr support for H.264 B-frames.
    * support adding noise at output resolution with -vo gl:noise-strength=8
    * experimental support for OpenGL ES 1.0 in -vo gl
    * support for PGS (BluRay-compatible), DVB and XSUB subtitles.
    * af_cmdline slave command to change e.g. audio equalizer options at runtime.
    * vo x11: don't hide or show cursor any more if attached to an existing window (-wid)
    * try reconnecting network streams e.g. after network timeouts
    * lots of bug fixes as always (and surely a few new bugs, too :-( )

    GUI: Support for the GUI continues.
    * numerous fixes, improvements and updates
    * UTF-8 support
    * all skin messages available as slave commands (gui <message>)
    * fancy new icon

    Ports:
    * Wine (see DOCS/tech/crosscompile.txt)

    MEncoder:
    * -force-key-frames option to set explicit seek points.


MPlayer (1.0)

  rc4: "Yes We Can" January 30, 2011

    GUI: Changes towards removing the GUI
    * The GUI will no longer display any error or warning messages.
    * Special GUI slave commands (gui_*) were removed, along with
      the related key bindings.

    Decoders:
    * YUY2 Lossless Codec (YLC0) via binary DLL
    * Truemotion RT codec (TR20) via binary DLL
    * Nogantech Codec (NTN1 and NTN2) via binary DLL
    * add new FourCCs (m1v1, yuvs, VYUY, Y42B, V422, YUNV, UYNV, UYNY, uyv1,
      2Vu1, P422, HDYC, IJLV, MVJP)
      TwoCCs (0xA106, 0x6c75, 0xAAC0, 0x55005354)
      to existing decoders
    * AMR now handled via OpenCORE decoder
    * updated Windows Media Screen Codec (MSS1, MSS2) via binary DLL
    * CoreAVC H.264 decoder via binary DLL (Windows only)
    * Kega Game video codec (KGV1) via binary DLL
    * SoftLab-NSK Forward MPEG-2 I-frames (SLIF) via binary DLL
    * JPEG 2000 support via OpenJPEG
    * internal liba52 copy removed
    * CineForm HD (CFHD) via binary DLL
    * VP8 en-/decoding through libvpx wrapper and native decoder in FFmpeg
    * support for external libmpeg2 added
    * hardware MPEG decoder priority lowered
    * external libmpg123 support

    Demuxers:
    * Mostly fixed timing issues with some H.264 (PAFF) samples
    * Matroska and Ogg demuxers switched to use libavformat by default.
      Report issues and use -demuxer ogg and -demuxer mkv to work around them.
    * support for TrueHD in Blu-ray streams in libmpdemux
    * more Blu-ray codec support with lavf
    * fix length in ASF/WMV files
    * support ISDB-Tb DVB streams

    Filters:
    * remove vf_yuy2, functionality is replaced by -vf format=yuv2
    * remove vf_rgb2bgr, functionality is replaced by sws and vf_format

    Streaming:
    * Support for unencrypted Blu-ray playback through libbluray.
      Use it through: mplayer br:////path/to/disc

    Drivers:
    * -vo yuv4mpeg:interlaced no longer does its own interlaced RGB->YUV
      conversion. Use -vf scale=::1 to keep the same behavior and report
      if there are any issues with that.
    * X11: Window manager chooses Window position by default.
      Add geometry=50%:50% to your configuration to get the old behavior.
    * -vo md5sum md5 calculation changed so output matches FFmpeg's -f framemd5
    * Support for more formats in OpenGL video output drivers (different YUV
      subsampling, 16 bit per component)
    * Selectable YUV to RGB conversion standard for -vo gl
      (-vo gl:colorspace=...:levelconv=...)
    * -vo gl now tries to use yuv=2 by default if possible
    * -vo gl:stereo=... for experimental stereo (3D) support
    * -vo matrixview finally added
    * add OS/2 KAI audio driver (-ao kai)

    Other:
    * -nosub option for disabling auto-selected subtitles
    * support for displaying subs in the terminal (FIXME)
    * support for subtitles with audio-only files
    * support for right-to-left languages with embedded subtitles
    * support for UTF-16 encoded external subtitles
    * support for 8 channel audio
    * sync dvd:// and dvdnav:// features
    * support for MPEG-4 ASP in VDPAU video output (non-B-frame only)
    * support for live and non-live DVB teletext with demuxer lavf
    * -name, -title and -use-filename-title options for MPlayer
    * support for stream handling via FFmpeg, in particular RTMP and RTSP
      (use e.g. ffmpeg://http://example.com/test)
    * experimental support for external libass, configure with
      --disable-ass-internal
    * better support for 16-bit-per-component formats and formats
      with alpha channel
    * better out-of-the-box support for compiling for ARM, IA64,
      MinGW32 and MinGW-w64, MinGW has ASLR enabled with recent
      enough binutils
    * libdvdcss synced with upstream Subversion snapshot

    MEncoder:
    * add -tsprog for demuxer lavf



  rc3: "BikeshedCounter AKA Godot" May 30, 2010

    Decoders:
    * support for X8 frames (fixes "J-type picture is not supported" for WMV2)
    * support for DTS WAV/DTS-CD passthrough by ad_hwac3
    * Apple's raw YUV2 in MOV
    * LATM over LOAS AAC decoding via internal libfaad2
    * video game codecs: BFI video, Playstation MDEC video, ADPCM XA audio,
      EA Maxis XA ADPCM audio, RL2 video, Beam Software SIFF video, V.Flash PTX video
    * AVOption support for libavcodec-based decoders
    * use lavc ADPCM codecs by default
    * support for progressive JPEG in ffmjpeg
    * ACDSystems MJPEG (ACDV) via binary DLL and lavc
    * SIF1 via binary DLL
    * wincam screen capture (WCMV) via binary DLL
    * Creative Labs Video Blaster Webcam MJPEG (CJPG) via binary DLL and ijpg library
    * kensington webcam (AJPG, ABYR) via binary DLL
    * centre for wavelets (wavc) via binary DLL
    * GeoVision Advanced MPEG-4 (GMP4, GM40) via binary DLL
    * Xiricam JPEG from Veo PC Camera (XJPG) via binary DLL
    * WorldConnect Wavelet Video (SMSV) via binary DLL
    * VDOWave 3 advanced (VDO3, VDOM, VDOW) via binary DLL
    * VoxWare MetaVoice (format 0x0074) via binary DLL
    * Ulead DV Audio (0x215,0x216) via binary DLL
    * GoToMeeting codec (G2M2,G2M3) via binary DLL
    * SP4x codec - used by Aiptek MegaCam (SP4x) via binary DLL
    * Broadway MPEG Capture Codec (BW10) via binary DLL
    * ZDSoft screen recorder (ZDSV) via binary DLL
    * WebTrain Communication lossless screen recorder (WTVC) via binary DLL
    * xfire video (XFR1) via binary DLL
    * VFAPI RGB transcode (vifp) via binary DLL
    * ETI CamCorder EYECON (NUB0,NUB1,NUB2) via binary DLL
    * fox motion (FMVC) via binary DLL
    * Trident video (TY2C, TY2N, TY0N) via binary DLL
    * 10-bit video (v210) via Cinewave binary DLL
    * Brooktree YUV 4:1:1 Raw (Y41P) via binary DLL
    * many rare/obscure fourccs for known formats added
    * lower priority for binary Linux rv3040 codecs due to bugs
    * remove native NuppelVideo decoder, use lavc instead

    Demuxers:
    * -lavfdopts cryptokey allows decrypting MXF and ASF files
    * support for wavpack in Matroska
    * AVOption support for lavf demuxing
    * prefer lavf musepack demuxer over libmpdemux
    * prefer lavf MOV demuxer over libmpdemux (use -demuxer mov for old behavior)
    * support program switching in lavf demuxer
    * support -slang in lavf demuxer
    * support nosound switching in lavf demuxer
    * support libass in lavf demuxer
    * support VOBsub in lavf demuxer
    * support MOV subtitle format
    * support for attachments in lavf demuxer
    * support for chapters in lavf demuxer
    * support seeking in multirate RealMedia files
    * FLAC speedup in lavf demuxer
    * MNG demuxer
    * remove native NuppelVideo demuxer, use lavf demuxer instead

    Filters:
    * vf_ow new overcomplete wavelet denoiser
    * change vf_screenshot dependency from libpng to lavc
    * add af_scaletempo which maintains audio pitch when changing playback speed
    * fix multi-channel reordering
    * af_stats filter to print information about the audio stream

    Streaming:
    * tv:// support for Windows
    * fix teletext on some systems
    * DVD streams can switch angles
    * DVD still menus are now supported via dvdnav://
    * allow specifying the TV standard for each channel
    * switch internal dvdread to libdvdread SVN external

    FFmpeg/libavcodec:
    * DNxHD encoder
    * H.264 PAFF decoding
    * Nellymoser ASAO decoder
    * Beam Software SIFF demuxer and decoder
    * libvorbis Vorbis decoding removed in favor of native decoder
    * IntraX8 (J-Frame) subdecoder for WMV2 and VC-1
    * Ogg (Vorbis only) muxer
    * PC Paintbrush PCX decoder
    * Sun Rasterfile decoder
    * TechnoTrend PVA demuxer
    * Linux Media Labs MPEG-4 (LMLM4) demuxer
    * AVM2 (Flash 9) SWF muxer
    * QT variant of IMA ADPCM encoder
    * iPod/iPhone compatible MP4 muxer
    * Mimic decoder
    * MSN TCP Webcam stream demuxer
    * RL2 demuxer / decoder
    * IFF demuxer
    * 8SVX audio decoder
    * BFI demuxer
    * MAXIS EA XA (.xa) demuxer / decoder
    * BFI video decoder
    * OMA demuxer
    * MLP/TrueHD decoder
    * Electronic Arts CMV decoder
    * Motion Pixels Video decoder
    * Motion Pixels MVI demuxer
    * removed animated GIF decoder/demuxer
    * D-Cinema audio muxer
    * Electronic Arts TGV decoder
    * Apple Lossless Audio Codec (ALAC) encoder
    * AAC decoder
    * floating point PCM encoder/decoder
    * MXF muxer
    * E-AC-3 support added to AC-3 decoder
    * Nellymoser ASAO encoder
    * ASS and SSA demuxer and muxer
    * liba52 wrapper removed
    * SVQ3 watermark decoding support
    * Speex decoding via libspeex
    * Electronic Arts TGQ decoder
    * RV30 and RV40 decoder
    * QCELP / PureVoice decoder
    * hybrid WavPack support
    * R3D REDCODE demuxer
    * Electronic Arts TQI decoder
    * OpenJPEG based JPEG 2000 decoder
    * NC (NC4600) cameras file demuxer
    * MXF D-10 muxer
    * Generic metadata API
    * H.264 speedup and PAFF decoding (install Yasm for faster H.264 decoding)
    * correctly decode more of the H.264 conformance testsuite
    * VC-1/WMV3 decoder speedup
    * VP3 decoder speedup
    * VP6 decoder speedup
    * Split-Radix FFT (speedup multiple audio codecs)
    * MMX/SSE/ARM and other misc speedups

    libmpeg2:
    * enable Alpha/ARM optimizations in libmpeg2
    * SSE2-optimized IDCT routines from upstream libmpeg2
    * libmpeg2 updated to version 0.5.1

    Drivers:
    * replace PolypAudio by PulseAudio (-ao pulse)
    * add force-pbo suboption for faster output in vo_gl
    * add Nintendo Wii/GameCube video driver (-vo wii)
    * VIDIX driver for SuperH Mobile VEU hardware block
    * support -border on vo_gl/gl2 in x11
    * Direct3D Windows video output driver added
    * factorize code in vo_wii
    * remove unnecessary code from vo x11, xv, xvmc
    * add OS/2 DART audio driver (-ao dart)
    * add VDPAU video output
    * add OS/2 KVA video driver (-vo kva)

    MEncoder:
    * check for system-wide configuration file in MEncoder
    * AVOption support for lavc encoders
    * AVOption support for lavf muxers

    Others:
    * many compiler warning fixes
    * basic support for Closed Captioning roll-up mode
    * reworked screensaver disabling support, most users will need to use
      -heartbeat-cmd due to screensaver authors failing to design a common API
    * grayscale decoding/encoding with FFmpeg disabled where it slowed down
      the color case
    * Linux AppleIR remote support
    * add options to disable some or all configuration files
    * support for DOS-style file:///x:/path paths
    * some new slave commands (check DOCS/tech/slave.txt)
    * libdvdcss updated to 1.2.10, now same as upstream version
    * fix -endchapter support again for -dump* options
    * add startup audio volume option
    * add option to disable default key binds
    * change default OSD and subtitle font size to a smaller default

    libass:
    * various fixes and updates to match VSFilter renderer
    * support \blur tag and ScaledBordersAndShadow property
    * fractional arguments and subpixel accuracy
    * keep positions when pan-and-scan is used

    Ports:
    * small crash with vo_macosx fixed
    * AC3/DTS passthrough for ao_macosx
    * fix frozen OSD on OS X
    * vo_gl now works with -wid and nVidia drivers on Windows (this is a hack)
    * VIDIX on SuperH
    * workarounds for AltiVec on Apple gcc 3.3 on OS X dropped
    * vo_macosx can now be compiled in 64-bits mode
    * allow multiple MPlayer instances with vo_macosx using buffer_name
    * OpenGL support for unmodified MinGW64

    SWScaler:
    * new LGPLed YUV to RGB tables generator


  rc2try2:

    Security:
    * buffer overflow in url.c fixed
    * buffer overflow in stream_cddb.c fixed
    * stack overflow in demuxer_audio.c fixed
    * buffer overflow in demuxer_mov.c fixed



  rc2: "AreWeThereYet?" October 7, 2007
  (SVN revisions: MPlayer r24722, FFmpeg r10677)

    DOCS:
    * console messages and XML documentation converted to UTF-8
    * Russian documentation translation finished
    * Russian man page translation finished
    * Chinese man page translation finished
    * Chinese documentation translation started
    * Documented get/set/step properties in DOCS/tech/slave.txt

    Decoders:
    * Intel Music Coder audio decoding via lavc
    * Monkey Audio audio decoding via lavc
    * Fraps v2/v4 video decoding via lavc
    * Video game codecs: 4XM audio, Electronic Arts ADPCM audio, Delphine CIN
      audio and video, Interplay DPCM audio, Sierra VMD video, Tiertex SEQ
      video, Westwood IMA ADPCM audio, XAN wc3 video, Id CIN video, Interplay
      video, XAN ADPCM audio, Westwood SND1 audio, Feeble Files DXA video, THP
      audio and video, Renderware TeXture Dictionary video, Bethesda Software
      VID video via lavc
    * video game codecs: XAN wc4 video via binary DLL
    * libmpeg2 updated to 0.4.1
    * fixed resolution switching with libmpeg2
    * handle resolution switching for Real codecs
    * FFmpeg video decoder can now handle aspect ratio changes
    * AMR now handled via libamr wrapper (http://www.penguin.cz/~utx/amr)
    * SIMD optimizations for mp3lib under AMD64

    Demuxers:
    * Implemented switch_video and switch_program consistently with switch_audio
      (default keys are "_" and TAB, respectively). For the time being program
      switching is only available in TS streams handled by demux_ts.c (not
      libavformat), while video switching is also handled by demux_lavf.c and
      demux_avi.c.
    * audio and video switching for the AVI demuxer (video switching untested)
    * GIF demuxer improvements, should work with all GIFs now
    * support for VC-1 in MPEG-TS and MPEG-PS files (BD,HD)-DVD
    * support for EVO demuxing
    * support -noidx with libavformat demuxer
    * support for channel navigation with PVR input
    * text subtitles should now work with libavformat demuxer
    * cleaned up TiVo demuxer

    Streaming:
    * authentication for Real RTSP streams
    * near-precise seeking in dvd:// and dvdnav://
      (dvdnav:// requires libdvdnav from mphq)
    * speed selection when playing dvd:// streams, to make drive quieter
    * support SVQ3 and H.264 in X-QT over RTSP, now RTSP Apple keynotes work
      (live555)
    * SMIL playlist over Real RTSP
    * support H.263-2000 over RTSP (live555)
    * fix AAC-LATM over RTSP (live555)
    * support AMR over RTSP (live555)
    * support H.264 over RTSP (live555)
    * "device" and "adevice" suboptions now work for the *BSD BT848 TV driver
    * dvdnav:// now depends on MPlayer's fork of libdvdnav
    * teletext support for tv:// (v4l and v4l2 only)
    * radio support for *BSD BT848
    * channel scanner for tv://
    * fine tuning for tv://
    * driver autodetection for tv://
    * libnemesi RTSP/RTP support
    * EOF detection for RTSP (live555)

    FFmpeg/libavcodec:
    * Intel Music coder audio decoder
    * Fraps v2/v4 video decoder
    * H.264 decoding speedup
    * Slice-based parallel H.264 decoding (-lavdopts fast:threads=N)
    * native NUT demuxer updated to spec
    * native NUT muxer
    * NUT muxing and demuxing support via libnut
    * WMA encoder
    * fix MJPEG-B on big-endian systems
    * lowres support for some H.264 files
    * DTS/DCA audio decoder
    * Atrac 3 audio decoder
    * MPEG-1/2 speedups
    * RoQ muxer, video and audio encoder
    * QTRLE encoder
    * AC-3 decoder
    * Matroska muxer
    * Monkey's Audio demuxer and decoder
    * Flac encoder and decoder speedups
    * AMV demuxer and audio/video decoder

    libmpeg2:
    * iWMMXt-accelerated DCT and motion compensation for ARM processors

    Filters:
    * obsolete fame filter removed
    * vf_geq speed-ups
    * vf_yadif green frame fixed
    * fix af_pan when switching audio streams
    * add audio left/right balance feature to af_pan

    MEncoder:
    * write to output streams (currently only file:// and smb://)
    * support -ffourcc with -of lavf
    * removed B-frame warning message
    * fixed bugs that would corrupt headers in the video stream when using telecining
      and not patch the TFF flag correctly

    Ports:
    * Complete Intel Mac support
    * Hitachi SuperH (SH3) support
    * Blackfin optimizations

    Drivers:
    * ALSA audio output now sets the non-audio bit for AC3 passthrough even
      if the user-specified default device name tries to clear it
    * fixed internal VIDIX in Solaris/x86, also auto-enabled
    * rework of internal VIDIX, now a fully static library with builtin drivers
    * updated VIDIX ATI drivers
    * Sun XVR-100 video output driver

    Others:
    * monitorpixelaspect=1 is now default. Set monitoraspect=4/3 to get the old
      behavior (if you have non-square pixels).
    * libdvdcss updated to Subversion HEAD, now same as upstream version
    * libmpdvdkit split into libdvdread and libdvdcss
    * obsolete Xvid 3 support removed
    * long-deprecated -vop option removed
    * video stream switching
    * dvdnav:// honor -alang and -slang
    * support for doubleclick as input event
    * -really-quiet works as expected now
    * select libavformat demuxer (-lavfdopts format=)
    * internal minilzo removed in favor of FFmpeg implementation,
      use liblzo2 for encoding
    * change GUI dependency from libpng to libavcodec
    * ability to change subtitle size during playback
    * ability to turn loop on/off during playback
    * Apple Remote support
    * libdvdread updated to 0.9.7
    * many compiler warning fixes



  rc1try3: June 5, 2007 (unreleased)

    Security:
    * stack overflow in stream_cddb.c fixed



  rc1try2: December 31, 2006 (unreleased)

    Security:
    * buffer overflow in asmrp.c fixed



  rc1: "Codename intentionally left blank" October 22, 2006
  (SVN revisions: MPlayer r20372, FFmpeg r6767)

    DOCS:
    * German documentation translation finished
    * Russian documentation translation synced and almost finished

    Drivers:
    * IVTV hardware MPEG audio/video decoder output
    * ALSA audio output: AC3 passthrough now works even when the device name
      of the digital output port has been set by the user
    * bicubic OpenGL scaling works with ATI cards
    * md5sum switched to the libavutil MD5 implementation
    * support for libcaca 1.0 via compatibility layer

    Decoders:
    * liba52 updated to 0.7.4 (slightly faster)
    * SSE optimizations for mp3lib
    * removed support for obsolete and non-free divx4 libraries

    Demuxers:
    * audio stream switching in MPEG-TS/PS, Matroska and
      streams supported by libavformat
    * audio stream switching between streams with different codecs
    * libavformat demuxer now honors -alang
    * chapter seeking in Matroska files
    * fixed seeking to absolute and percent position for libavformat demuxer
    * NUT demuxer using libnut
    * Matroska SimpleBlock support

    Inputs:
    * split of stream layer from libmpdemux to new stream library
    * PVR input for hardware MPEG encoder based cards, such as Hauppauge
      WinTV PVR-150/250/350/500 AKA IVTV but also pvrusb2 and cx88
      (requires Linux >= 2.6.18 kernel, featuring native V4L2 MPEG API)
    * native RTSP input (handles MPEG-TS over RTP) for generic RTSP servers
    * support for seeking to chapters in dvd:// and dvdnav:// streams
    * radio support (radio://)

    FFmpeg/libavcodec:
    * VC-1/WMV3/WMV9 video decoder
    * Vorbis decoding speedup, now default Vorbis decoder
    * VMware Video decoder
    * On2 VP50 and VP62 decoder
    * lossless audio decoders: WavPack, TTA, Shorten
    * CAVS decoder
    * GXF muxer/demuxer
    * MXF demuxer
    * much improved FLAC encoder
    * more H.264 decoding speed improvements, plus support for -lavdopts fast
    * Theora decoder fixes
    * preliminary Vorbis encoder
    * MTV demuxer

    GUI:
    * Windows version added
    * drag-and-drop ignored last file
    * save and load cache setting correctly
    * working audio stream selection for Ogg and Matroska files
    * executable names like gmplayer_old etc. will now start GUI as well
    * -gui/-nogui options
    * xinerama fixes, now behaves similar to MPlayer without GUI

    Filters:
    * MMX-optimizations for -vf yadif
    * MMX-optimizations for -vf zrmjpeg

    MEncoder:
    * support of x264 encoding via libavcodec
    * rewrite -x264encopts option parser to use the 264 option parser;
      likely breaks 3rd party tools as the syntax of some options has changed
    * removed support for obsolete and non-free divx4 libraries

    Ports:
    * partial Intel Mac support, --disable-win32 --disable-mp3lib is needed
    * OpenGL can now create windows > screen size under Windows
    * allow filenames starting with \\ for remote paths on Windows

    Others:
    * SSA/ASS subtitle renderer
    * -endpos option for MPlayer
    * -correct-pts option
    * UTF-8 used for OSD and subtitles, some bitmap fonts will no longer work
      correctly and -subcp must be set for all non-UTF-8 subtitles
    * more audio-truncation fixes
    * libavutil mandatory for MPlayer compilation
    * more intuitive -edlout behavior
    * -nortc is now default since -rtc has disadvantages with recent kernels



  pre8: "NeuTeam strikes back" June 11, 2006
  (SVN revisions: MPlayer r18681, FFmpeg r5466)

    Security:
    * support for compilation with non-executable stack
    * fix the major issues caught by Coverity's static analysis runs

    DOCS:
    * environment variables documentation started
    * interactive control fully documented
    * improved encoding guide
    * new technical encoding guide in DOCS/tech/encoding-guide.txt
      which is to be merged into the existing guide
    * encoding tips for x264 and XviD
    * how to set up MEncoder for x264 support
    * new advanced audio usage guide with surround sound instructions
    * Hungarian XML documentation translation finished
    * Czech documentation translation finished
    * French MPlayer documentation synced
    * German man page synced
    * Hungarian man page synced
    * Italian man page synced
    * Chinese console messages synced
    * misc improvements all over the place
    * AIX port documentation added
    * all XviD options documented
    * CONFIGURATION FILES section added to the man page
    * Doxygen comments added to configuration parser and OpenGL
      video out driver

    Drivers:
    * JACK audio output rewritten without bio2jack
    * OpenAL audio output - unfinished, can only do mono output
    * OpenGL video output modules support -geometry and -wid options
    * for -vo gl manyfmts is now default (since it is a lot faster), use
      -vo gl:nomanyfmts if it does not work for you
    * streaming textures for -vo gl, much faster if supported (use -dr)
    * hardware YUV to RGB conversion for -vo gl and -vo gl2, see yuv suboption
    * support for custom fragment programs for -vo gl (see TOOLS/*.fp)
    * support for bicubic hardware scaling in -vo gl, see lscale suboption
    * use libvbe from vesautils as VESA video driver
    * several fixes for the GGI video output driver
    * fall back on next video output driver if vo_3dfx failed to initialize
    * improved XvMC library detection (disabled by default)
    * DPI (Print-Resolution) and Pixel-Aspect support in vo_jpeg
    * ALSA audio output: several small fixes and improvements
    * removed experimental mmap suboption from the ALSA driver
    * YUY2 and back end scaling for S3 Virge chips on fbdev (-vo s3fb)

    Decoders:
    * Indeo2 (RT21) support via lavc
    * Fraps video decoder via binary DLL
    * support for 8-bit PNGs with palette
    * support for dmb1 MJPEG files with ffmjpeg
    * support for musepack audio (WARNING: when seeking you might get
      ear- and speaker-breaking noises). If you hear clipping, use -af volume.
    * experimental speex support via libspeex
    * On2 VP7 video decoder via binary DLL
    * Duck/On2 TrueMotion2 (TM20) support via lavc
    * support FLX and DTA extensions for flic files
    * QDM2 audio decoding via lavc
    * cook audio decoding via lavc
    * TrueSpeech audio decoding via lavc
    * CamStudio video decoder via lavc
    * hwmpa pass-through MPEG audio codec
    * tremor updated to libogg 1.1.2
    * PNG decoding via libavcodec
    * removed native RealAudio codecs (ported to lavc)
    * Zip Motion-Block Video (ZMBV) decoder via lavc and binary DLL
    * support for QuickTime in24/in32/fl32 PCM audio
    * internal libfaad updated to CVS 20040915+MPlayer patches
    * RTJpeg decoder from lavc is preferred
    * bug fix for lavc WMA v2 decoder, now all files should be playable
    * -vc mpeg12 resizes the window when aspect ratio changes
    * Smacker audio and video decoding via lavc
    * Windows Media VC1 video decoder via binary DLL
    * Flash Screen video decoder via lavc

    Demuxers:
    * simultaneous audio capture/playback (-tv immediatemode=0) fixed in v4l2
    * PVR support
    * AAC ADTS demuxer
    * libdvdread updated to v0.9.4
    * support for some more MythTV NUV files
    * modularization of demuxer code
    * MPEG in GXF container support with extension-based detection
    * faster MPEG and much faster GXF demuxing
    * more user-friendly demuxer forcing
    * MPEG Layer 1 and 2 demuxing fixed
    * properly pass Vorbis extradata from Matroska container
    * DVR format support
    * H.264 ES high profile support
    * TV channel cycling
    * DVD subtitle and audio stream mappings fixed
    * fixed RealAudio demuxing, now all files should have correct A/V sync
    * partial support for QuickTime sound atom version 2
    * improved handling of text subs in Matroska files
    * DVD subtitles disabled by default
    * support sipr codec in old RealAudio files
    * fixed framerate detection of interlaced H.264 in raw/PS/TS streams
    * support for variable framerate Ogg/OGM files
    * made demux_ogg.c work with ffvorbis decoder
    * fixed playback of RealVideo in Matroska files on ppc
    * added support for Vorbis in MOV/MP4

    Streaming:
    * fix streaming of RealAudio files over HTTP
    * show SHOUT/Icecast metadata while playing
    * ultravox (unsv://) streaming support
    * stream code ported to new modular API, massive code cleanup
    * bandwidth selection for Real RTSP streams (for faster stream dumps)

    FFmpeg/libavcodec:
    * Snow bug fixes and speedup on x86, x86-64 and AltiVec
    * MPEG-1/2/4 and H.264 decoder speedup
    * Indeo2 (RT21) video decoder
    * Fraps video decoder (v0 & v1, v2 not yet supported)
    * Vorbis audio decoder
    * RV20 fixes
    * VP3 decoder fixes and speedup
    * countless bug fixes all over the place
    * vstrict=-1 is default, Snow, ffv1 etc. need vstrict=-2
    * skiploopfilter/skipidct/skipframe decoder options for very fast H.264
      decoding
    * D-Cinema audio demuxer and decoder support
    * Duck/On2 TrueMotion2 (TM20) decoder
    * FLX and DTA extensions for flic
    * QDM2 audio decoder
    * cook audio decoder
    * TrueSpeech audio decoder
    * WMA2 audio decoder fixed, now all files should play correctly
    * JPEG-LS decoder (unfinished)
    * CamStudio video decoder
    * Theora decoder
    * improved MOV and QuickTime demuxer
    * improved AVI muxer
    * multithreaded decoding
    * bitexact decoding
    * DV50 encoder, decoder, muxer and demuxer
    * true audio (TTA) decoder
    * AIFF/AIFF-C audio format, encoding and decoding
    * Creative VOC demuxing
    * Zip Motion-Block Video (ZMBV) decoder
    * KMVC decoder
    * NuppelVideo/MythTV demuxer and RTJpeg decoder
    * MP4 and MOV demuxer greatly improved to support all varieties of
      currently available files
    * AVS demuxer and video decoder
    * American Laser Games multimedia (*.mm) playback system
    * Smacker demuxer and decoder
    * Flash screen Video decoder
    * Trellis-optimized ADPCM audio encoder
    * Major improvements to Snow quality and encoding

    GUI:
    * skins now reside in a directory named 'skins', not 'Skin'
    * ported to GTK2
    * long standing upside down vpotmeter bug fixed
    * don't hang on unreadable skin files
    * random fixes and improvements

    Filters:
    * much faster version of spp filter (-vf fspp), and pp7 ("fast spp=6")
    * remove_logo filter
    * lavcresample now used by default (-af-adv force=0 gives old behavior)
    * vf_expand and vf_dsize now support aspect and round parameters
    * screenshot filter
    * -af pan command line fix, now outputs the right number of channels
      and accepts values < 0 or > 1. Channel order had to be changed.
    * -af sinesuppress to remove a sine at a certain frequency
    * negative stride support in swscale
    * big-endian and AltiVec fixes and performance improvements for swscaler,
      color conversions and post-processing
    * -srate fixed
    * hqdn3d: 2.5x faster temporal-only, 1.6x faster spatial-only
    * new proof-of-concept karaoke (voice removal) filter
    * motion compensating deinterlacer (-vf mcdeint)
    * Yet Another DeInterlacing Filter (-vf yadif)

    MEncoder:
    * audio encoding modularized
    * AAC (FAAC) audio encoding
    * border processing adaptive quantization in libavcodec
    * encoding zones, DivX profiles support, luminance masking,
      multi-threaded encoding for XviD
    * raw audio muxer
    * fixed various bugs in the EDL code
    * x264 "turbo mode" to speed up first pass of multi-pass encoding
    * x264 custom quantization matrices
    * -delay allows real audio delay instead of just a delay in the header
    * search for (deprecated!) frameno.avi is now disabled by default (use
      -frameno-file frameno.avi to enable)
    * -o is now mandatory. You can add 'o=test.avi' in ~/.mplayer/mencoder
      to get the old behavior back.
    * In multiple file encoding, either all or no files must have audio. Use
      -nosound to force.
    * support for VBR MP2 encoding in toolame
    * twolame support
    * libavformat muxers support
    * VBR audio in MPEG support
    * muxer_mpeg: added an experimental film2pal teleciner and fixed previous
      bugs that could lead to desync and to wrong TFF/RFF flags being set
    * rewritten muxer_mpeg.c: buffering and timing constraints will always
      be respected, provided that the muxrate is big enough

    Ports:
    * improved timer function on Mac OS X
    * New Mac OS X "macosx" video output driver. Supported on OS X 10.4
      and 10.3 with QuickTime 7 (requires QuickTime 7 SDK to build on 10.3)
    * Mac OS X 10.4 (Tiger) fixes
    * macosx audio output driver fixes
    * preliminary support for Intel Macs
    * support for playing DVDs copied to harddisk on Cygwin
    * DragonFly BSD support
    * liba52 ASM optimizations ported to AMD64
    * configure check and compiler optimizations for VIA C3, C3-2 and Pentium-M
    * configure check and compiler optimizations for AMD-64 extended
    * configure can now run with cross compiling, new configure option
      --enable-cross-compile
    * -(no)border option to get a bordered/borderless window on Windows
    * Experimental AIX support
    * AltiVec support fixes
    * POWER5 support
    * OpenGL output ported to Windows
    * FreeBSD default DVD device added
    * MIPS64 support
    * Darwin portability fixes
    * improved Debian packaging
    * improved Win32 multi-monitor support
    * Sun's mediaLib disabled by default on Solaris (broken and non-optimal)
    * VP6 and WMVA binary codecs should now work also under FreeBSD 6

    Others:
    * Audio/Video synchronisation fixes
    * enabled hinting for TrueType fonts
    * support for file:// syntax
    * -fb option removed, use the device suboption of -vo fbdev/fbdev2 instead
    * full gcc 4 support
    * TOOLS/vobshift.py: VOBsub time-adjust tool
    * TOOLS/psnr-video.sh: computes PSNR between two existing video files
    * fixed auto-insertion of lavc encoder (for DXR2/3 and DVB)
    * new option: -idle, to make MPlayer wait for input commands when
      done playing all files
    * lots of new slave commands (check DOCS/tech/slave.txt)
    * lots of new information provided by the -identify option
    * fixed ugly looking OSD with -vo gl2 and MMX
    * support for OSD localization
    * -rawaudio/-rawvideo requires -demuxer rawaudio/-demuxer rawvideo
    * libdvdcss updated to 1.2.9
    * ~/.dvdcss is used instead of ~/.mplayer/DVDKeys for cached CSS keys
    * libcdio support for CD playback
    * new option -msglevel to directly control the verbosity of MPlayer modules
    * -verbose option removed, use -v or "-msglevel all" instead
    * -edl is now per-file in MPlayer
    * new input command prefixes, "pausing_keep" and "pausing_toggle" which
      alter pausing state immediately after command
    * environment variable MPLAYER_VERBOSE controls verbosity before the
      command line is parsed
    * environment variable MPLAYER_HOME controls location where
      configuration files are searched for
    * memleak fixes all over the code
    * TOOLS/aconvert: allows MEncoder to encode from an audio-only file
    * TOOLS/3*m_convert: D-Cinema audio and video conversion program
    * TOOLS/qepdvcd.sh: anything supported to VCD/SVCD PAL/NTSC
    * TOOLS/encode2mpeglight: MPEG format encoding tool using only MEncoder
    * allow multiple -help clauses on the command line
    * console "OSD" for audio-only files
    * show total time when playing audio-only files
    * support for .wpl playlists
    * support for ncurses as termcap library provider
    * parallel make fixed
    * (improved) support for shared libav* libraries
    * playback/encoding profiles support
    * new property API
    * new -monitorpixelaspect option to determine monitor aspect from
      screen resolution



  pre7try3: February 15, 2006 (unreleased)

    Security:
    * heap overflow in demuxer.h fixed



  pre7try2: August 26, 2005

    Security:
    * heap overflow in PCM audio decoder fixed



  pre7: "PatentCounter" April 16, 2005

    Security:
    * heap overflow in Real RTSP streaming code fixed
    * buffer overflow in MMST streaming code fixed

    DOCS:
    * Czech documentation translation in progress
    * German man page almost synced
    * slave mode command documentation finished
    * TOOLS documented in TOOLS/README
    * audio filter documentation moved to the man page and updated
    * all audio filters documented
    * improved encoding guide
    * preliminary documentation for Snow codec in DOCS/tech/snow.txt
    * misc updates and fixes all over the place

    Ports:
    * DirectX video output fixed on Windows95
    * DirectX video output now supports 256 color mode
    * audio device selection support for dsound audio output driver
    * --enable-macosx-bundle, use config directory in the appwrapper on OS X
    * Sun audio output cleanup
    * x86_64 support fixes
    * OpenBSD support in libdha
    * VIDIX support for more Radeon 9200 models

    Drivers:
    * fixed ontop event for some window managers
    * audio output layer cleanup
    * unified colorkey handling code
    * vo_xvmc panscan fix
    * fixed some X11 crashes
    * OSD fixes in various video output drivers

    Decoders:
    * TWinVQ decoder via binary DLL
    * integrated Tremor decoder for Ogg/Vorbis
    * fixed decoding of stereo alaw files
    * preload QT DLLs to work around problems with their hardcoded paths
    * support for Real 10 RV30/40 Linux binary codec (fixes some RV40 files)
    * expose support for 422P and 444P raw formats
    * 32 bit RGB support in binary TSCC decoder
    * dropped support of old FAAD2 versions (<= 1.1)
    * support for Real 10 cook Linux binary codec (decodes cook5.1)
    * improved NV12/NV21 support
    * support for 32 bit float and extended WAV files
    * prefer native RealAudio 1.0 / 2.0 decoder over binary decoders
    * support for multichannel WAV files
    * ALAC (QuickTime lossless audio) support via lavc
    * WNV1 support via lavc
    * AASC (Autoderk RLE video) support via lavc
    * LOCO video support via lavc
    * fixed Layer 1 stereo playback via mp3lib
    * VMnc (VMware video) decoder via binary DLL
    * AMR NB/WB support via libavcodec and external reference decoders
    * ADTS AAC support

    Demuxers:
    * vqf demuxer
    * seeking in MPEG-ES fixed
    * support for Real multirate files
    * framerate autodetection for MPEG-4 and H.264 video in ES and TS streams
    * MP3 in Real files
    * more user-friendly info about audio and subtitle tracks in Ogg files
    * avisynth demuxer
    * Multichannel MP3 in MP4 files support (MP3on4)
    * some classes of nonworking 14.4/28.8 RealAudio files fixed
    * added code to autodetect and demux MPEG audio layers 1 and 2
    * demux AC3 audio files using libavformat by default
    * online audio stream switching in the MPEG and Matroska demuxers
    * 3GP demuxing support
    * DVB updates and ATSC tuner support
    * AVC in Matroska support
    * SWF and FLV support via libavformat
    * use proper Vorbis fourcc

    Streaming:
    * stream selection and bandwidth support for MMS over HTTP
    * fall back on HTTP if connection refused on pnm://
    * support for UDP streaming (udp://)
    * support for vstream TiVo streams (tivo://)
    * EOF detect and bugfixes in pnm:// streams

    FFmpeg/libavcodec:
    * RV20 fixes
    * many H.264 fixes
    * B-frames in H.264, H.264 weighted prediction support
    * a lot of integer overflow and pointer fixes
    * 32 bit RGB support in TSCC
    * multichannel MP3 decoder (MP3on4)
    * 3g2 support
    * ALAC audio decoder
    * LOCO video decoder
    * WNV1 video decoder
    * shorten audio decoder and demuxer
    * AASC video decoder
    * AMR NB/WB support via external reference decoders
    * significantly faster Snow decoding
    * experimental ratecontrol for Snow
    * countless bug fixes all over the place

    GUI:
    * half size event implemented and added to the menu
    * ESD configuration dialog and software volume control option
    * memleaks fixed

    Filters:
    * big cleanup of audio filter layer
    * faster af_format for most common cases
    * float handling in the audio filter layer finally fixed
    * obsolete audio plugins finally removed
    * updated HRTF filter
    * center channel adding filter
    * soft-telecined input support in pullup improved

    MEncoder:
    * new experimental MPEG muxer, compatible with DVD and (S)VCD
    * multiple file support
    * -speed support (framerate conversion with speedup/slowdown)
    * EDL support
    * low bitrate mp3lame encoding fix
    * MJPEG encoding fix
    * NUV endianness fix (makes old NUV files unplayable)
    * experimental libavformat muxer
    * mp3lame CBR encoding fix
    * 35% faster turbo mode for 1st pass

    Others:
    * -z option replaced by -vo png suboption
    * icc fix in the Win32 loader
    * crash with Turkish locale fixed
    * several memleak fixes
    * -aa* options are replaced by -vo aa suboptions
    * excessive verbosity reduced
    * RTC support for *BSD
    * non-UTF-8 external subtitles with Matroska fixed
    * gcc 4 fixes
    * partial NX (noexec bit) support
    * support libsmbclient with SSL
    * put changed notices into all imported files for GPL 2a compliance



  pre6: "X-mas present" December 23, 2004

    DOCS:
    * finally all options are documented
    * man page completely reviewed for spelling, wording and clarity
    * all audio output driver suboptions documented
    * all video output driver suboptions documented
    * audio filters section added to the man page
    * XviD documentation completed
    * French man page in sync again
    * German man page updated
    * new Czech (complete) and Swedish man page translations
    * fixes and updates in various places

    Ports:
    * full x86_64 support
    * -rootwin, -panscan support in the quartz video output driver
    * key repetition and aspect fixed in the quartz video output driver
    * "Movie" menu for quartz video output driver with zoom options & preset
    * fs_res quartz video output driver suboption chooses fullscreen resolution
    * VCD support for Darwin (Mac OS X)
    * Mac OS X Finder startup argument support
    * support for Real (Helix) codecs on Mac OS X (working this time)
    * fix for stdin input and slave mode on MinGW
    * support for -rootwin, -colorkey, -wid in the DirectX video output driver
    * improved monitor selection in the DirectX video output driver
    * new DirectSound audio output driver
    * mouse support in Windows
    * support for ZetaOS (mostly working)

    Drivers:
    * fixes in the VESA and GGI video output drivers
    * -jpeg removed in favor of -vo jpeg suboptions
    * jpeg video output driver now supports output to multiple directories
    * improvements for the Blinkenlights video output driver ;-)
    * OpenGL video output driver colorformat fixes (with manyfmts suboption)
    * aspect, panscan, hardware OSD support in the OpenGL video output driver
    * new pnm and md5sum video output drivers, replacing pgm and md5
    * yuv4mpeg video output now has a file= suboption, can be used with
      -fixed-vo to concatenate files having same width, height and fps
    * JACK audio output driver updated to bio2jack API changes
    * alsa9 and alsa1x replaced by alsa audio output driver
    * ALSA audio output driver always uses specified device, even for hwac3
    * support for mixer channel selection in the ALSA audio output driver
    * audio output driver for the polypaudio sound server
    * VIDIX Cyberblade TV-out fixed
    * VIDIX I420 support for Cyberblade and mga
    * VIDIX Radeon support on big-endian systems, other Radeon fixes
    * VIDIX Radeon R200 QM (Radeon 9100) support
    * CLE266 VIDIX driver
    * experimental SAVAGE VIDIX driver

    Decoders:
    * "experimental" support for 20 and 24 bit LPCM (DVD-Audio)
    * libmpeg2 updated to 0.4.0b
    * libfaad2 updated to 2.1beta CVS snapshot
    * DTS decoding via libavcodec
    * Windows Media Audio 9 Voice support via binary DLL
    * Windows Media Video 9 Advanced support via binary DLL
    * Windows Media Screen Codec 2 support via binary DLL
    * Windows Media Image Codec support via binary DLL
    * Windows Media Image 2 Codec support via binary DLL
    * VDOWave video support via binary DLL
    * Miro VideoXL video support via libavcodec
    * Creative ADPCM audio support via libavcodec or binary DLL
    * IBM Ultimotion video support via libavcodec
    * Micronas Speech codec support via binary DLL
    * H.261 video codec support via libavcodec
    * TechSmith Camtasia video codec support via libavcodec
    * sonic audio codec support via libavcodec
    * Snow video codec support via libavcodec
    * QuickDraw video support via libavcodec
    * Cinepak, CYUV and RoQ audio/video moved to FFmpeg
    * Vianet Lsvx video support via binary DLL

    Demuxers:
    * fix -nosound and -novideo for NSV
    * subtitle switching and language code displaying for Matroska
    * support for the .vp5 file format (AVI variant)
    * seeking in audio-only ASF files fixed
    * improved MP3 detection
    * support for AVC in .mp4 files
    * support for raw H.261 files via libavformat
    * improved seeking precision in MPEG files
    * better subtitle language code handling for MKV files
    * support DVHS files and H.264 over MPEG-TS
    * display length and position (in the seekbar) for MOV files
    * raw video in MOV files playback improved

    Streaming:
    * -cache-min and -cache-prefill options added
    * compilation fix for newer LIVE.COM versions
    * make ASF without ECC work
    * support for MMS on non-standard port
    * EOF detected in Real RTSP streams

    FFmpeg/libavcodec:
    * reduced resolution decoding with the lowres option
    * new experimental wavelet-based Snow video codec
    * new sonic audio codec
    * TechSmith Camtasia video decoder
    * IBM Ultimotion video decoder
    * QuickDraw video decoder
    * Creative ADPCM decoder
    * Miro VideoXL decoder
    * Sierra online audio files demuxer and decoder
    * QPEG video decoder
    * Electronic Arts Game Multimedia format demuxer
    * H.261 fixes, H.261 encoder
    * fix VIS accelerated code
    * DTS support via libdts
    * many DV fixes, seek in raw DV files
    * support AAC in MOV files
    * RV10, RV20 fixes
    * RV20 encoding
    * AVI demuxer cleanup, palette change support
    * iTunes metadata support
    * HuffYUV fixes (endianness, RGB32 predictor, median encoding, interlacing)
    * ffvhuff (enhanced HuffYUV codec)
    * SSE optimizations for 4x4 compare function
    * epzs motion search enhancements
    * quad tree based motion compensation
    * MPEG-4 qpel MMX2/3DNow! optimizations
    * H.264: lot of fixes and MMX2/3DNow! optimizations
    * AVC1 (H.264 without sync word in .mp4 files) support
    * H.264 qpel motion compensation
    * Indeo3 grayscale decoding
    * preliminary Truemotion 24 bit decoder
    * avizlib encoder fixed
    * trellis quantization support in H.263
    * DCT optimizations
    * AltiVec support on AmigaOS4
    * adapt MMX/MMX2/SSE/3DNow! optimizations to work on x86_64
    * seeking fixes
    * better and faster audio resampler
    * New dc1394 grabbing interface
    * preliminary decoding support for H.264 with CABAC and B-frames
    * dvr-ms support in ASF demuxer
    * NSV demuxer
    * DVD compatible MPEG muxer
    * MJPEG-B fixes
    * range coder (arithmetic entropy coder) used by Snow and ffv1
    * ffv1 enhancements: signed golomb, range codes
    * multi slice support for main profile H.264 streams
    * as usual, lots of bug fixes and optimizations

    Filters:
    * software volume control when no hardware support available, can be
      controlled with the -softvol and -softvol-max parameters
    * high-quality audio resampling with -af lavcresample
    * cropdetect rounding parameter
    * MPlayer -af help
    * missing audio plugins (extrastereo, volnorm) converted to audio filters
    * sine sweep generator audio filter
    * hrtf audio filter to convert multichannel audio to 2 channel output
      for headphones, preserving the spatiality of the sound
    * big-endian fixes in rgb2rgb converter
    * yuv2rgb AltiVec optimization fixes
    * support for LADSPA plugins

    GUI:
    * unified audio options dialog, also for ALSA
    * redrawing limited, decreases CPU usage in audio-only case
    * icons for the context menu
    * doublesize bug fixed
    * slowdown after opening the preferences panel bug fixed
    * remaining messages moved to help file for translation
    * slowdown after using the preferences panel fixed

    Encoding:
    * x264 encoder support
    * support for MP2 encoding with libtoolame
    * libavcodec "turbo mode" to speed up 2-pass encoding
    * support for 3-pass encode for libavcodec and x264
    * XviD encoder and decoder modules updated to API-4.1 (XviD-1.1.x)
    * flush remaining frames at end of encoding process

    Others:
    * -loop and -shuffle now work together
    * better EDL support
    * some --disable configure options finally work (mp3lib, liba52, libmpeg2)
    * framestepping
    * change playback speed during playback
    * some crashes with binary codecs fixed
    * subtitle alignment support for SAMI files
    * also support Windows path separator '\'
    * FriBiDi fixes for comma handling in Hebrew subtitles
    * -crash-debug option to attach gdb automatically after crashes
    * gcc 4 compilation fixes
    * compilation fixes for many files in the TOOLS directory
    * infamous "stuck mouse button" bug fixed, new -key-fifo-size option
    * reduced verbosity of MPlayer's output somewhat
    * -identify now prints some information about available languages
    * double buffering (-double) is now default
    * many memleaks fixed



  pre5try2: December 15, 2004

    Security:
    * buffer overflow in mp3lib fixed
    * heap overflow in Real RTSP streaming code fixed
    * stack overflow in MMST streaming code fixed
    * unnecessary BMP demuxer removed because of buffer overflows
    * heap overflow in pnm streaming code fixed



  pre5: "LinuxTag release" July 15, 2004

    Name:
    * It's "MPlayer - The Movie Player" instead of
      "MPlayer - The Movie Player for Linux" now.

    Security:
    * complete review of string operations, buffer overflows fixed

    DOCS:
    * small additions, corrections, updates all over the place
    * audio output driver section added to the man page
    * several bug fixes and improvements in the MEncoder documentation
    * DVD ripping guide extended and improved
    * AUTHORS file massively extended
    * German man page partially updated
    * Hungarian XML documentation translation started

    Ports:
    * encrypted DVD playback on Windows fixed (again)
    * Cygwin and MinGW now accept the same -dvd-device syntax
    * LIVE.COM now works under MinGW
    * foundations for MinGW crosscompilation
    * disabled SSE on MinGW as it caused crashes
    * AC3 passthrough for ao_win32
    * improved vo_quartz (YUV, multiple screens support)
    * vo_quartz made default on Mac OS X
    * ao_macosx fixed and made default again on Mac OS X
    * RealVideo binary codecs support on Mac OS X (still buggy)
    * big-endian fixes in vf.c, vo_tga
    * OpenBSD portability fixes
    * OpenBSD/VAX support
    * AMD64 support

    Drivers:
    * support for more Radeons (9800 XT among them) in VIDIX
    * Radeon related bug fixes in VIDIX
    * vo_gl2 now supports GUI, fix for flickering borders in fullscreen
    * support 24 and 32 bit PCM files, big-endian fixes
    * ao_sdl now converts unsupported formats instead of quitting
    * ENCA support
    * merged ao_alsa9 and ao_alsa1x drivers into ao_alsa
    * NeoMagic TV-out support through VESA
    * JACK audio output driver
    * vo_sdl fixes (wrong flags and screensaver disabling)
    * vo_directx fixes

    Decoders:
    * MSZH/ZLIB, FLI, QTRLE, RoQ video and RoQ audio support moved to FFmpeg
    * FFmpeg Cinepak and CYUV decoders preferred
    * audio format 0xff support (is AAC)
    * "raw" audio in MOV supported
    * Indeo audio (iac25) support via binary codec
    * upgrade libfaad2 to the FAAD 2.0 release
    * MPEG-2 chroma422/444 support
    * Winnov WINX and WNV1 support via binary codec

    Demuxers:
    * Ogg subtitle handling and other bug fixes
    * Matroska improvements
    * support seeking in Real files without -idx
    * support seeking in Real files without index with -forceidx

    Streaming:
    * ASF, MMST streaming fixes
    * URL escaping fixed
    * NSA (Nullsoft audio) streaming support
    * embedded RAM playlist support
    * multibyte URL support
    * rtp:// now supported even with LIVE.COM compiled in
    * miscellaneous bug fixes

    Filters:
    * vf_softskip: frame skipping filter for MEncoder
    * vf_harddup: frame duplication filter for MEncoder
    * vf_pullup minor fixes and improvements
    * AltiVec-optimized YUV to RGB converter
    * vf_spp memory corruption fix on reallocation

    FFmpeg/libavcodec:
    * MPEG-2 encoding with 8, 9, 10, 11 bit intra DC precision
    * DC clipping fix, intra_dc_precision > 0 support
    * Cinepak fixes and palette support
    * support skipping of MB rows during decoding
    * Vorbis in NUT fixed
    * NUT updated to latest specification
    * segfault and artifact fixes in SVQ3 decoder
    * motion estimation code: overflow and chroma fixes
    * change qscale -> lambda for the motion estimation
    * noise preserving sum of squares comparison function in ME code
    * fixed memory overwrite in truemotion decoder
    * clip input motion vectors, better error tolerance on bad vectors
    * FLAC decoder cleanup (partial demuxer/decoder separation)
    * memalign hack for SSE/SSE2 on that alternative OS :)
    * lots of AltiVec optimizations
    * qscale + qprd fix
    * QTrle4 support
    * H.261 decoder
    * coefficient saturation fix in H.263
    * H.263 MCBPC fix
    * per line lowpass filter in MMX and faster C lowpass filter
    * SVQ1 encoder
    * as usual, lots of bug fixes and optimizations

    Others:
    * fullscreen fixes for many window managers
    * fix crash on original Pentiums and older
    * dvd://start-end support
    * netstream (mpst://) support fixed
    * support comments in plaintext playlists
    * loader/ dependency removed
    * keepaspect option extended to all video output drivers
    * WMA to Ogg conversion and simple subtitle editing script added to TOOLS
    * support for more lame options
    * new set of GUI icons
    * memory conserving implementation of GUI potmeters
    * X11 code reindented
    * further gcc 3.4 support fixes
    * mixer API written for changing volume through libaf
    * -rtc-device option for specifying the RTC device
    * desktop/menu icon added
    * miscellaneous bug fixes and cleanups
    * multi-threaded encoding with libavcodec
    * fixed a bug with Real files introduced in pre4
    * -use-stdin renamed to -noconsolecontrols



  pre4: "YAML Counter" Apr 28, 2004

    Security:
    * HTTP parser remote heap overflow vulnerability fixed (from 1.0pre3try2)
    * Real RTSP remote buffer overflow vulnerability fixed
    * buffer overflow in the Matroska demuxer
    * potentially exploitable buffer overflow in CDDB TOC code

    DOCS:
    * new Copyright file covers files from other projects and their licenses
    * new DOCS/tech/translations.txt explains how to properly translate MPlayer
    * new Japanese console message translation
    * Polish translation finished
    * Italian man page translation
    * DVD ripping guide
    * telecine/interlacing guide
    * video output driver section added to the man page
    * XML build system rewritten - now supports building individual languages
    * miscellaneous updates all over the place

    Ports:
    * better PA-RISC detection
    * support for VAX (tested on VAXstation 4000/VLC) -- really, believe me!
    * optimizing for specific MIPS CPUs under IRIX
    * AMD64 detection under BSDs
    * fbdev driver updated for Linux 2.6
    * support for ELF only OpenBSD
    * optimizing for PPC 970 (aka G5)
    * SDL support fixed on MinGW
    * VIDIX working under Windows XP/2000 (native dhahelper)
    * builds out of the box under GNU Hurd
    * SSE optimizations enabled under MinGW
    * SSE support under OpenBSD
    * AltiVec support under NetBSD
    * GCC 3.4 support (due to changed behavior in ASM code snippets)

    Demuxers:
    * Matroska containing RealVideo works better
    * fixed random segfaults in VIVO
    * endianness fixes in CDDA
    * UYVY support in tvi/v4l2
    * tvi/bsdbt848 now working under FreeBSD 5.2-CURRENT
    * tvi/bsdbt848 audio part working under NetBSD
    * LIVE.COM demuxer updated to conform with latest libraries
    * new, independent, C implementation of the Matroska demuxer
    * fix for rare Real files
    * more robust Real demuxer (can resync after errors)
    * support for AAC inside Real
    * MPEG Aspect code 4 fixed
    * wrapper demuxer for FFMpeg's libavformat (Nut is playable this way)
    * support for selecting subtitle streams with -slang inside Ogg
    * much improved seeking in Ogg
    * -sid/-aid/-vid start from zero in Ogg demuxer just like other demuxers
    * Nullsoft streaming video (NSV) demuxer
    * AVI OpenDML read and write support

    Streaming:
    * SMIL playlist parser
    * support for URL redirection
    * support for seeking in HTTP streams
    * updated LIVE.COM streaming code
    * fall back on live.com RTSP after Real RTSP
    * suggests -playlist if normal streaming fails
    * many improvements and bug fixes in the streaming code

    Decoders:
    * compilation failure without zlib in vd/lcl fixed
    * removed obsoleted decoders (which were moved to libavcodec), affected:
      vd/8bps, vd/msrle, vd/msvideo1, vd/rpza, vd/smc
    * workaround for buggy codecs in ad/acm (support for Sharp G.726)
    * fixed chroma-swapping in Hauppauge Macroblock decoder
    * AltiVec-optimized resampler in liba52
    * support for VP5 and VP6 DLL decoders
    * support for Alparysoft lossless video codec (through DLLs)
    * support for Lead MCMW wavelet video codec (through DLLs)
    * HE-AAC working through libfaad
    * removed libmpflac in favor of FFmpeg's FLAC implementation
    * liba52 dynamic range compression support

    Filters:
    * vf_bmovl bugfixes
    * vf_filmdint now handles 15fps NTSC input
    * huge updates and speedup on vf_pullup
    * big updates to vf_ilpack (proper interpolation and MMX optimizations)
    * vf_zrmjpeg: fast MJPEG encoder using libavcodec for Zoran
    * interlaced scaling support in vf_scale
    * vf_kerndeint: adaptive deinterlacer
    * vf_rgbtest: rgb test pattern generator for developers
    * vf_qp: QP change filter
    * vf_noformat: the same as vf_format but with reversed meaning
    * AltiVec-optimized SWScaler
    * vf_phase: phase shift fields
    * vf_divtc: duplicate frame removal from deinterlaced telecined video

    Drivers:
    * ao/esd behaves better over network now
    * support for Radeon 9200/9600/9600 Pro/9700 in VIDIX
    * -mixer support for alsa9
    * fixed OSS audio grabber module with hardware not supporting 44khz
    * native ALSA 1.x support (not through 0.9 emulation)
    * better multibuffer support in VIDIX nVidia driver
    * pan & scan support in VIDIX nVidia driver
    * support for more cards in VIDIX nVidia driver
    * vo_libcaca: color ASCII art output driver
    * vo_quartz: native MacOS X/Quartz video output
    * support for VIDIX when ATI FireGLX drivers are used

    FFmpeg/libavcodec:
    * H.263 AIC and MQ encoding support
    * fixed low delay decoding
    * fixed H.263+ encoding without UMV
    * lots of CBR improvements
    * MB type and QP visualization
    * lots of code cleanup
    * intra & inter dequantization split -> speedup
    * fixed stereo IMA ADPCM encoding
    * VBV delay setting support (MPEG-2 CBR)
    * improved RV20 decoder (most known errors eliminated)
    * interlaced DCT
    * interlaced motion estimation
    * interlaced MPEG-2 encoding
    * 4MV encoding fixes
    * initial interlaced MPEG-4 encoding
    * improved visual quality in SVQ3 decoder
    * fixed never-before-tested embedded string decoder in SVQ1
    * optimized quantization (including the trellis way)
    * Sierra VMD video decoder
    * MMX- and SSE2-optimized H.263 denoiser
    * better SVCD compliance (encoder side)
    * MMX- and MMX2-optimized interlaced DCT decision
    * various cleanup, memleak and segfault fixes
    * optimized (2x faster) the MPEG layer 3 decoder
    * grayscale coded MJPEG decoding support
    * avimszh and avizlib decoders
    * "packed" XviD decoding
    * fixed some bugs in RV20 B-frames decoding
    * closed GOP encoding
    * SSE2-optimized FDCT
    * support for quantizer noise shaping
    * support for EA ADPCM and SMJPEG IMA ADPCM
    * QT RLE decoder
    * OBMC fixes
    * FLAC decoder
    * better support for DivX5
    * MMX- and SSE2-optimized VP3/Theora decoding
    * support for Theora alpha3
    * many H.264 improvements
    * more robust MJPEG startcode search mechanism
    * better WMV8 decoding
    * native SPARC VIS optimizations
    * native G.726 codec

    Others:
    * -codecs-file option for specifying alternative codecs.conf file
    * fixed some minor bugs in the GUI
    * prevent sig11 when $HOME is not set
    * fix some command line handling corruptions
    * Swedish and Polish yes/no options in config files
    * support binding F11 and F12 keys
    * TOOLS/divx2svcd updated
    * stricter thread code in Win32 loader (works under NetBSD)
    * PJS subtitle support (was: dunnowhat)
    * TOOLS/avifix: simple tool to fix chunk sizes in AVI files
    * proper extraheader handling when libavcodec is used in MEncoder
    * AVI OpenDML read and write support
    * AVI VPRP (video property) read and write support
    * fixed long standing lame quality option off-by-one bug in MEncoder
    * MPL2 subtitle support
    * less verbosity in Win32 loader and other places



  pre3try2: security fix release Mar 3, 2004

    Security:
    * HTTP parser remote heap overflow vulnerability fixed



  pre3: "The Real Counter" Dec 9, 2003

    DOCS:
    * all MPlayer and MEncoder options documented
    * all FFmpeg/libavcodec options documented
    * Support for building incomplete XML documentation
    * Support for building all-in-one HTML docs
    * HTML documentation obsoleted
    * English, Polish and French HTML documentation removed
    * Spanish documentation translation finished
    * Macedonian runtime output translation added
    * small improvements and bug fixes all over the place

    Ports:
    * fixed compilation of Matroska on MinGW/Cygwin
    * support for detecting non-Intel CPUs under Cygwin
    * sub autoloading under Windows
    * removed pthread dependency (out of the box compilation on NetBSD)
    * more 64 bit fixes
    * a lot of Mac OS X fixes
    * prefer TOOLS/cpuinfo over linuxemu's /proc/cpuinfo under FreeBSD/x86
    * Darwin XMMS libs supported
    * support newer Darwin versions in AltiVec detection code
    * support for newer Apple GCCs

    Codecs and demuxers:
    * better support for (buggy) MEncoder created streams in libmpeg2
    * MPEG-TS demuxer updates
    * fixed the MPEG muxer
    * fixed tons of bugs in MMS streaming
    * user settable HTTP user-agent field
    * improved (now working) seeking with support for growing RealMedia files
    * saveable and loadable index files (workaround for formats not
      supporting files over 2GB)
    * Ultimotion VfW decoder
    * support for MMS streams with UTF urls
    * big DVB demuxer update
    * fixed MOV demuxer to always read ImageDesc (fixes ffsvq3 bugs)
    * fixed an old bug in AVI/Waveformatex size calculation
    * XviD API-4 (1.0 beta2) support
    * improved FLAC-in-Ogg support
    * Matroska: better AC3 detection
    * Matroska: VOBsubs, MP2, FLAC, AAC and HE-AAC support
    * improved detection of Real RTSP through URL analysis
    * fixed stereo 16 bit TWOS
    * fixed MPNG when using BGR24 images
    * control functions in Ogg demuxer
    * HTTP cookies support
    * LML-M4 MPEG-4 capture card raw stream format support

    Filters:
    * some fixes in the delogo filter
    * optimized eq2 filter
    * weighted gamma support in the eq2 filter
    * new filters: hue, spp, fil, yuvcsp
    * alternative postprocessing filter (spp)
    * big scale filter updates
    * zrmjpeg filter, a kick-ass MJPEG encoder using FFmpeg/libavcodec
    * filmdint: new inverse telecine filter, heavily MMX- and 3DNow!-optimized

    FFmpeg/libavcodec:
    * Lagrange multipliers instead of qscale, encoding quality much improved
    * fixed an old bug in MPlayer's support code
    * support wider range of VOLs in H.263
    * direct rendering support in MJPEG
    * massive MLib optimizations
    * more VQA files supported
    * Theora support
    * Sunplus JPEG (SP5X) support
    * H.263 GOB fixes
    * massive cleanups
    * reduced memory footprint (!)
    * fixed decoding if aspect ratio changes
    * MMX2 optimizations in HuffYUV
    * lots of bugs squashed in HuffYUV
    * long standing decoding errors after 'first frame is not keyframe' fixed
    * CRI ADX support
    * XA ADPCM support
    * fixed files with odd dimensions on PPC
    * optimized MPEG-2 bitstream parsing
    * better interlacing framework
    * support for IBM's XLC compiler
    * support for SAR (sample aspect ratio)
    * floating point AAN DCT
    * dynamically alloc big data fields (lower memory usage in most cases!)
    * fixed stereo IMA-ADPCM encoding
    * inline vs always_inline - some speedups
    * MMX2-optimized FDCT
    * accurate 2-4-8 DCT
    * much faster DV encoding (beats libdv)
    * support Cinepak files with funky (not divisible by 4) resolutions
    * AltiVec-optimized FDCT
    * XvMC speedups
    * initial ZyGoVideo decoding
    * RGB support in FFV1
    * new Palette API, all codecs updated
    * Noise reduction of DCT coefficients
    * "av_log" logging API
    * support for buffer hints from codecs
    * BGR24, RGB555 and PAL8 image formats
    * 8BPS, MS RLE, MS Video1, QT RPZA, QT SMC, FLIC and TrueMotion1 decoders
    * 16x8 MV visualisation support
    * H.263 overlapped block motion compensation (OBMC), 4MV support
    * H.263 alternative inter vlc support
    * H.263 deblocking filter (MMX-optimized)
    * H.263 modified quantization support
    * H.263 slice structured mode support
    * Real RV20 decoder (with B-frame support)

    Drivers:
    * VIDIX equalizer support in fbdev, svga and vesa
    * VIDIX colorkeying support in fbdev, svga and vesa
    * obsoleted option: -fb
    * new SiS 650/651/740/etc VIDIX driver
    * safer vo_directx direct rendering
    * massive nvidia_vid updates
    * gl2 updates
    * ggi now supports non-directbuffer rendering and slices
    * tdfxfb fixed on gcc 3.x
    * dfbmga updated, G200 support
    * colorkeying can be disabled
    * Radeon 9800 (R350) support in VIDIX
    * proper fix for buffer size workarounds in vo_zr
    * new vo_zr2 driver, which uses the advantages of the filter layer
    * fixed vo_vesa when used together with pthread
    * runtime stay-on-top functionality (in almost all output drivers)
    * ALSA 1.x support

    SWScaler:
    * updated MLib (Sun VIS) support
    * more accurate filters (rounding fixes)
    * MMX-optimized UYVY output
    * eliminated chroma scaling bugs

    Others:
    * fixed aspect and geometry
    * fixed compilation when libavcodec is missing (although it's a bad idea)
    * MTRR detection added to TOOLS/cpuinfo
    * FAAD detection in configure fixed/improved
    * improved FLAC configure detection
    * GUI file selector updated for newer formats
    * Fontconfig support
    * proper VOBsub seeking support
    * removed oldskool libcss support (nobody uses it, it has drawbacks and
      possible security implications)

    MEncoder:
    * FFmpeg/libavcodec audio encoding support
    * exit if there's no video stream (avoids unexpected segfaults)
    * huge bug fixed (missing InitTimer call), screwed up timers in some cases
    * rawyuv (i420) 'encoder'



  pre2: Oct 5, 2003

    Security:
    * remotely exploitable buffer overflow in the ASF streaming code fixed

    DOCS:
    * Spanish and Russian translations almost finished
    * French, Hungarian, Polish translations updated
    * New Romanian translation started
    * numerous sections updated

    Ports:
    * initial Amiga/MorphOS (through GeekGadgets) support
    * FreeBSD 5.x (libkse/libthr) support in Win32 DLL loader
    * finally fixed the compilation on non-MVI capable Alpha CPUs
    * better AltiVec detection in configure
    * OSD menu now works on MinGW
    * slave mode, VOBsub and MEncoder support on Windows
    * MinGW 3.1.0 supports MPlayer out of the box!
    * VIDIX and libdha ported to Windows
    * SDL on IRIX support
    * vo_gl2 video output ported to Windows

    Codecs and demuxers:
    * support for QuickTime version 6.3 DLLs
    * fixed some bugs in imported FAAD
    * disabled internal FAAD when using buggy GCC
    * --enable-externalfaad option to force using external FAAD library
    * imaadpcm bug fixed
    * ViVD v2 codec support (DLL only)
    * QuickTime codecs support inside Matroska
    * improved seeking inside Matroska
    * some bugs with DMO codecs have been fixed
    * fix for MOV files with bogus user data length
    * fixed some demuxers which read after EOF
    * better RTP synchronisation
    * FLAC support through imported libmpflac

    Filters:
    * new delogo filter (for removing TV channel logos)
    * presets support in swscaler filter
    * new audio filter export, for supporting visual effect applications
    * correct select handling in bmovl filter

    FFmpeg/libavcodec:
    * better DivX/XviD bug detection code
    * Id RoQ decoder
    * Interplay MVE decoder
    * WC3/Xan video decoder
    * Xan DPCM, DK3 & DK4 ADPCM audio decoders
    * detect old XviD with fourcc=DIVX
    * vp3 decoder fixes
    * improved the Alpha optimizations
    * x86 optimizations are threadsafe now
    * settable scene change threshold
    * better MPEG-1/MPEG-2 conformance encoder
    * quality improvement for high bitrate videos with trellis quantization
    * indeo3 decoder fixed
    * new options: mv0, cbp
    * DV video encoder
    * MPEG-1 now works with Trellis quantization

    Faad2:
    * synced to latest CVS
    * HE_AAC profile added
    * SBR QMF improvements
    * DRM updates
    * Covariance speedup
    * reduced memory usage
    * overall cleanups and fixes

    Drivers:
    * VIDIX driver for nVidia cards
    * directfb2 fixed for latest directfb
    * smoother audio playback with alsa9
    * fullscreen and geometry support in directx
    * fullscreen support with OpenGL drivers
    * OSD fixed with svga
    * new cvidix and winvidix drivers
    * user settable colorkey

    Others:
    * several leak fixes
    * selecting optimizations for PPC 7455 CPU
    * CPU detection code now measures speed on x86
    * unrarlib cleaned up a bit
    * updated the list of known x86 CPUs (including Opteron!)
    * subtitle alignment and smart line splitting options



  pre1:  "Development" on the beach Sept 1, 2003
    NOTE: the MPlayer 'main' branch was forked at the time of 0.90-rc4, so
    0.90-rc5 (and later 0.90 releases) changes are independent!
    (it also means that there are main-only and 0_90-only changes)

    DOCS:
    * DOCS/Language/ dirs renamed to DOCS/id, English files moved to DOCS/en
    * HTML --> XML format conversion (English, Russian and French for now)
    * new Spanish DOCS translation
    * man page restructured, options ordered
    * Finally merged libavc-option.txt into the man page.
    * slave mode commands moved from the man page to DOCS/tech/
    * traditional Chinese help file added
    * massive help file updates, most languages are up to date now
    * new and improved Windows port section with Cygwin and MinGW subsections
    * almost all options documented
    * fixes and small updates all over the place

    Big/Structural changes:
    * linux/ dir renamed to osdep/
    * postproc/postproc* files moved to libavcodec
    * old libmpeg2 replaced with patched version of the 0.3.1 release
    * docs priority & installation (--language=ab,cd,ef,all and so on)
    * yuv2rgb conversion removed from most vo drivers (like fbdev, gif89, etc)
    * reverse-order -vop option obsoleted by -vf, big config layer changes
    * stream layer "cleanup", -dvd -> dvd:// etc
    * autosub fuzziness, it tries to load all subs with similar filenames
    * removed the whole old config reader, leaving only the newer one
      (no backward compatibilty!)

    Ports:
    * HP-UX fixes
    * Ported to Darwin / Mac OS X (with extra accurate Darwin timers)
    * Ported to Win32/MinGW (including network, timers, getch, etc)
    * Win32 codecs DLL support on Win32 (Cygwin and MinGW)
    * fixed mpdvdkit on Cygwin and MinGW
    * Lots of PPC (including AltiVec) optimizations
    * Some ARM fixes
    * Alpha fixes (especially non-gcc3 support)
    * Initial Hitachi SuperH support (SH3/SH4)

    Codecs/demuxers support:
    * RealAudio Win32 DLLs support
    * various RealAudio/RealVideo fixes, including WxH bugs, Sipr, etc
    * various RealMedia a-v sync fixes
    * RealAudio V4 demuxer
    * RealAudio 14_4 and 28_8 codecs support (both binary DLLs and native code)
    * RealMedia rtsp:// support (independent from the live.com RTSP stuff!)
    * Matroska demuxer (C++ version)
    * demuxer: enabling MPEG-4-ES autodetection, H.264-ES support
    * WAV extradata parsing (for truespeech, atrac3, etc)
    * MPEG-TS (Transport Stream) and TIVO demuxers
    * DVB (Digital Video Broadcasting) input driver
    * hwac3: DTS passthru support
    * new filters: down3dright, detc, telecine, tfields, ilpack, ivtc, dsize,
      tinterlace, pullup (MMX-optimized!), framestep, tile
    * vf layer: slices support (crop, expand, swscale only)
    * vf scale aspect fixes
    * swscaler: cleanup & API change, yv12 -> yuy2 in alpha asm,
      -fPIC compileable
    * swscaler: brightness/cont/sat. and different YUV matrices support
    * NUV encoding
    * SGI image files decoding (-mf)
    * Theora video (using libtheora/libogg) support
    * DivX.com 5.0.5 libs support
    * support for latest XviD en/decoder features
    * decoder for Hauppauge PVR 250/350 MB-YUV format (fourcc HM12)
    * support for Vanguard's Win32 H.264 etc codecs
    * Video for Linux 1: various bugfixes, video eq support
    * Video for Linux 2 support
    * TV support: kick-ass image format handling
    * mp3lib: moved the assembly sources into gcc inline assembly (c)
    * mp3lib: sync with mpg123 0.59s-pre
    * mp3lib: final layer-1 support
    * mp3lib: skip trashed first MP3 frame, fixes many buggy/misdetected files
    * imported a working FAAD version
    * 8BPS (Planar RGB) support
    * working DVD (libmpdvdkit) support for Cygwin/MinGW

    FFmpeg/libavcodec:
    * libavcodec: static,const,compiler warning cleanup, UINTX -> uintx_t
    * old HuffYUV v1 support
    * PAL 4:1:1 SMPTE 314M DV streams support, NTSC DV last MB column fix
    * fixing padding bug autodetection for some rare files
    * DspContext.(i)dct_* bitexact cleanup
    * user settable quantizer bias
    * MPEG-1 slice encoding support
    * MSMPEG4 2-pass support
    * H.264 video decoding
    * Indeo 3 video decoding
    * VP3 video decoder (buggy somtimes)
    * Sorenson 3 (SVQ3) video decoder (it's actually a H.264 variant)
    * 3IV1 (3ivx v1) decoding
    * ASV1 (ASUS Video v1) and ASV2 (ASUS Video v2) en/decoding
    * Improved SVQ1 decoding (using FFmpeg VLC functions)
    * truncated unary binarization, unary k-th order exp golomb binarization :)
    * FFV1: lossless YUV codec, compresses a lot better than HuffYUV, but slower
    * lossless MJPEG en/decoding, pegasus "pseudo yuv" (=RCT) decoding
    * ATI VCR1 and VCR2 decoding
    * full featured SH4 optimizations
    * ARM-optimized simple_idct
    * MPEG-2 encoding
    * PSX MDEC decoder
    * user settable quantization matrices

    Drivers:
    * x11_common: fix detection of metacity
    * x11_common: 10l fix in original layer detection code
    * x11_common: extended fstype config options
    * x11_common: smooth window moving
    * tdfx_vid driver (3dfx cards overlay with AGP support)
    * vo_xover: general X11 overlay driver, currently only tdfx_vid uses it
    * mga_vid: various fixes, 16MB G400 detection, support for multiple cards
    * new svgalib vo driver
    * vo_directfb2: triple buffering support, configuration sys changed, fixes
    * OpenGL driver cleanups/fixes (both vo_gl and vo_gl2)
    * vo_fbdev cleanup/partial rewrite, now with real direct rendering
    * vo_xvmc: new driver featuring XvMC (HW MC/IDCT) acceleration
    * new TGA output driver
    * new vo_fbdev2 (written from scratch)

    Others:
    * gcc can now detect badly called mp_msg()s
    * many config/cmdline parsing fixes (some of them were at least 100000l bugs)
    * configure: enable VIDIX for PPC
    * configure: full featured PPC optimizations, rewritten architecture handling
    * spudec.c: Fix "invalid fragment" handling, Improved subtitle queueing
    * network streaming layer: IPv6 support
    * FTP support
    * playtree parsing speedup :)
    * various URL parsing fixes
    * Crash on broken config files finally fixed!
    * GUI: PPC (reverse byteorder) fixes
    * GUI: revert to 'default' skin if configured skin failed
    * TOOLS/plotpsnr.pl: PSNR plotting tool using gnuplot
    * DOCS/tech/mpcf.txt: MPCF/NUT draft/specification
    * TVout/matroxtv: various improvements
    * spelling/grammar fixes in numerous files



MPlayer (0.90)

  rc4:  "FlameCounter" Feb 9, 2003

    DOCS:
    * some clarifications and updates in the English DOCS
    * massive translation and help-file updates

    Fixes:
    * -ac hwac3 fixed (was broken in rc3)
    * vo_svga: 4bp & 8bpp fixes
    * various GUI fixes, including some critical bugs
    * rage128 VIDIX PPC fixes
    * libmenu: one crash fixed, some cleanup
    * fixed ./configure --cc="ccache gcc"
    * -loop fixes, now -loop 2 plays a file twice :)
    * (mirrored) OSD volume symbol fixed (|\ -> /|)
    * 32bpp QT-RLE support
    * AltiVec on non-Darwin systems support
    * QuickTime reference file support fixes
    * mp3lib: layer-2 decoding fixes
    * updates to extension->demuxer mapping table
    * libavcodec: DivX 5.03 decoding fix
    * ao_oss: limited channels handling fixed
    * fixed OGM subtitles and iconv
    * fixed -subcp option with unicode truetype fonts
    * -mf: type detection (based on extension), better defaults
    * vo_xv: -fixed-vo support fixed (fullscreen switching)
    * Ogg-in-AVI (audio format 0xFFFE) demuxing fixed
    * vorbis decoding fixed (outer loop cleanup)
    * swscaler: 4bpp depth 1 pixel/byte format support for -vo svga
    * missing error message in command line parser for missing parameters
    * swscaler: YVU9->YV12 fixes
    * -ao mpegpes + -ac hwac3 fixed
    * -ao pcm bogus WAV header fixed
    * -vo x11 + -wid fixed
    * auto-insert the 'palette' filter if needed, support fixed in filters
    * sig11 when playing second audio-only file fixed
    * configure: detection of CDDA, nas, i18n, svgalib, FAAD2, lame fixed
    * -af/-af-adv support in MEncoder fixed
    * libmpdvdkit2: upgraded to use libdvdcss 1.2.5

    Features:
    * raw video support (-rawvideo, similar to -rawaudio)
    * experimental MPEG-4-ES support (enable with -demuxer 27 -fps xxx)
    * new video filter: field (cheap deinterlacer)
    * DVD/VOBsub improvements: positioning, optional gaussian blur scaler
    * vf_bmovl: 400% speedup :)
    * libavcodec: native DV audio decoder
    * GIF demuxer (for animated GIFs)
    * new noise removal filter: -vop denoise3d
    * per-channel gamma and MMX-opt'ed bri/cont/saturation support in -vop eq2
    * live.com lib support cleanup, support for more stream types
    * playtree imported into the GUI instead of the GUI's own playlist hack
    * support for the XviD and DivX4/5Linux libraries at the same time
    * -fstype option: override priority/layer of the fullscreen switch methods
    * libavcodec: some B-frame related encoding failures/crashes fixed



  rc3:  "BugfixCounter" Jan 19, 2003

    DOCS:
    * English man page & HTML docs updates
    * audio filter documentation
    * help_diff.sh doesn't depend on bash any more
    * Hungarian, French, Italian, German, Polish(?) docs synced

    Important fixes:
    * X11 fullscreen switching (yes, again...) rewritten, some X11 code cleanup
    * Voxware and QuickTime DLLs finally work (was broken in some contexts)
    * VIDIX Radeon support cleanup, should really solve the pink screen bugs
    * Cygwin: -vo directx crashes and garbled picture with some files fixed
    * OGM/Ogg seeking (broken frames) fixed, subtitle fixes, XCD support
    * libaf: big (audio filter layer) updates, floating point support, speedup
    * ffwma2 fixed (better error resilience)
    * SPU queueing - fixes missing or early disappearing DVD subtitles
    * the mysterious DVD audio delay (150-300ms) fixed
    * extension-based file format detection fixed the MP3 vs. MPEG-PS conflict
    * cache2 keeps buffer for non-seekable media, fixes QuickTime streaming

    Fixes:
    * mp3lib CPU detection part cleanup, 'decwin' linker problem fixed
    * various cddb:// fixes, support of NetBSD 1.6
    * libmpdvdkit2: Fix DVD authentication on Solaris 9
    * libmpdvdkit2: libdvdcss upgraded to 1.2.4 (keeping the key cache patch)
    * libmpdvdkit2: fixed decryption from multiple VOB files (hdd or Darwin)
    * -ao arts, -ao oss: Fix 8-bit sound support
    * -vop expand + FFmpeg codecs conflicts solved, some other -vop bugs fixed
    * -ac ffmp2 with MPEG files (sig11) fixed
    * QT Qclp audio codec initialization fixed
    * exit codes cleanup (0 for quit/eof, 1 for error)
    * -ao win32 sync problems solved, -autosync 100 is still recommended
    * -vo gif89a uninit sig11 fixed
    * the usual compiler warning fixes :)
    * use -pphelp instead of -vop pp=help
    * various big-endian fixes
    * 16bpp packed YUV fixes in crop, mirror, rotate filters
    * some -fixed-vo and vo_preinit fixes, -vo sdl, xmga, mga should work...
    * various Solaris compatibility fixes (should work out of the box)
    * mms:// port fixes, tries 1755 if 80 failed
    * libavcodec: various ME fixes, B-frames fixes, WMV2 slice decoding fixes
    * -ao alsa9 audio-file playback high CPU usage fixed
    * libaf updates, 2-pass initialization to get better filter path
    * better detection of playlists, support for [Reference]-style format
    * handle QuickTime reference media files as playlist
    * cddb:// & cdda:// CD-ROM device name fixes on Linux and *BSD

    Features:
    * -ao esd: new EsounD audio driver
    * -vo dxr3: new NORM option
    * XAnim & RealPlayer binary Codecs working on PPC
    * Radeon 9000 support in VIDIX, colorkey restoring for all Radeons
    * initial PPC (big-endian) support in VIDIX Rage128 driver
    * pnm:// streaming support (ported from xine)
    * muxer layer: MEncoder can now write MPEG-PS format, too (EXPERIMENTAL!)
    * libavcodec: WMV2 decoder (buggy/untested)
    * DVB "HEAD" (aka. NEWSTRUCT) drivers support
    * subtitle background bounding-box support (optional grey-level & opacity)
    * libaf: 3 new filters: panning, compressor/limiter and a noise gate
    * per-mediafile config file support (for file-specific options)
    * iconv (codepage conversion) support for OGM (Ogg) subtitles
    * v4l: user friendly channel tuning
    * freetype & old-style RAW font support usable (compilable) at the same time
    * vo_directfb2, vo_dfbmga: DirectFB 0.9.16 support
    * libavcodec: motion estimation pre pass, qpel encoding, trellis quantization
    * libavcodec, liba52, mp3lib: AltiVec optimizations
    * keep window aspect ratio at resizing (x11, xv), requires WM support
    * -geometry option, also accepts X11 syntax
    * real .bin+.cue (S)VCD images support (-vcd 2 -cuefile xxx.cue)
    * postprocess: YUV 411/422/444 support, stride fixes
    * jumping of overlapping subs fixed, sorting is automatic, iconv fixes
    * MPEG-2 telecine detection and automatic inverse telecine (MPlayer only)

    GUI:
    * correct GTK widget destroy event handler
    * fullscreen switching fixed (sync with x11_common)
    * fix GTK submenu
    * new font render engine
    * added persistant history patch
    * SDL Audio configure window
    * add overlapping to preferences
    * add playbar for subwindow
    * add vertical potmeter for skin
    * fixed 'single pixel bug'
    * fixed some possible crashes



  rc2: Dec 24, 2002
    General:
    * DOCS/tech/encoding-tips.txt and tech/directfb.txt
    * some DOCS corrections/updates/sync/HTML fixes
    * GUI: fixed three submenu bugs and several other problems
    * more compiler warning fixes
    * NetBSD: CPU SSE/SSE2 detection & VCD reading fixes
    * fixed possible v4l capturing crash
    * merged the EDL 0.5 patch - using & creating edit-lists (runtime cut&skip)
    * subtitle alignment changeable: top/bottom/middle (key 'i')
    * -slang support for VOBsub files

    VO:
    * X11 fullscreen switching code changed again (esp. for GNOME2/KDE 3.1)
    * VIDIX: svgalib kernelhelper support (as libdha alternative)
    * VIDIX driver for trident cyberblade card
    * VIDIX: 8 pixel shift & pink window bugs fixed in the RADEON driver
    * new, rewritten version of vo_svga (VIDIX support etc) and vo_gif89
    * yuv4mpeg vs. framedrop/frameskip fixed

    Codecs:
    * libavcodec: fixed possible 20% speedloss bug
    * support for the experimental (and buggy) dev-api-3 XviD CVS branch
    * fall back on built-in codecs.conf if no compatible external file found
    * experimental Sorenson 1/3 encoding (using QuickTime DLLs)
    * more accurate video bitrate calculation for AVI files
    * presets support for libmp3lame encoding
    * CDDA seeking fixed
    * Win32/RealPlayer codecs DLL & 64bit Alpha Linux RealPlayer codecs support
    * XMMS Input plugins (demuxer & codec) support
    * Fixed a bug in MMX-optimized mp3lib (triggered by OpenBSD).



  rc1:  "CodecCounter" Dec 7, 2002
    Docs:
    * new French translation
    * IRIX section
    * various updates (both English & Hungarian)

    Codecs:
    * new codec pack download page (there are several packs for various IFs)
    * Win32/QuickTime codec plugin DLL support -> SVQ3 + QDMC/QDM2/Qclp !!!
    * Win32/DMO codec DLL interface support -> Windows Media Audio/Video 9 !!!
    * MJPEG 2000 support (using Morgan & Imagepower VfW DLLs)
    * libavcodec: optimized HuffYUV en/decoder, with experimental YV12 support
    * libavcodec: MJPEG-B support (need more samples)
    * more xvidencopts
    * VorbisGain tag support, tremor (fast vorbis decoder lib) support
    * BIG libavcodec messups & codmetics & cleanups & API changes & fixes
    * dynamic plugin support for libmpcodecs (for future binary codec releases)

    GUI:
    * general code cleanup, more robust GTK code
    * preferences: screensaver, Autosync settings
    * cache=4 fixed (caused jerky/lagging/slow playback with gmplayer)

    Others:
    * new config/cmdline parser code (optional)
    * OSD menu system (preferences, shell, file selector, etc)
    * libaf: runtime cpudetection, volume, equalizer, better format conversion
    * subtitle overlapping can be disabled, added subtitle sorting
    * subtitle dump to JACOsub and SAMI formats
    * displays URLs from 'Reference Media' type MOV files, dump generic data
    * find best (longest) streams in MOV files (twotowers...)
    * get position/length function in demuxers - for slavemode & -identify
    * -ao alsa9 surround fixes, 8-bit PCM fixed
    * -vo dfbmga: -dr support, fixed OSD flickering
    * -stop-xscreensaver fixed, support for KDE screensaver, too
    * More compiler warning fixes
    * AltiVec (G4) support



  pre10:  "BirthdayCounter" Nov 11, 2002
    Docs:
    * DVD auth, VCD sections extended (DOCS/cd-dvd.html)
    * unified *BSD sections, extended Cygwin

    Fixes:
    * LIRC error message (Error while reading cmd fd X : Success) fixed
    * playback of some (streamed?) DivX files starting with non-I-frames fixed
    * -vo png fixed (removed builtin YV12 support, removed OSD)
    * some MP3 playback/seek segfaults fixed
    * VIDIX Mach64 colorkey on PPC fixed
    * -ao sdl now handles "featureless" soundcards
    * -vo zr fixes
    * fixed sig11 if vo init failed
    * various DXR2 and DXR3 fixes
    * v4l buffering fixed
    * fixed multiple reads caused by byteswapping macro (mjpeg.c, mach64_vid.c)
    * cleanup of postprocessing code - now it's threadsafe and can be shared
    * ported to GNU/Hurd
    * cleanup of AVI pts (timestamp) handling - no more BPS hack in mplayer.c
    * small cleanup of A-V sync code - using relative instead of absolute timers
    * GUI code cleanup, obsolete files/dirs removed
    * various small bug fixes, endianness fixes
    * MEncoder: -pass option removed, use -divx4opts pass=N / -lavcopts vpass=N
    * MEncoder: "ff_rate_estimate_qscale: Assertion `q>0.0' failed" fixed!
    * MEncoder: -ovc xvid fixes, cleanup, enhancements
    * screensaver/dpms re-enabling fixed
    * RealVideo demuxer fixes - ASF-style stream detection method

    Features:
    * -ao win32 (for Windows port)
    * libavcodec: native WMA v1/v2 (aka DivX audio) decoder
    * hw-accelerated video eq for -vo x11 and gl2, using DirectColor colormap
    * overlapping subtitles support, jacosub (*.js) format support
    * -vo dxr3 got a new syncengine, ':sync', also added native overlay support,
      activate with ':overlay', read the manual for more info on how to set up
    * QDMC/QDM2/MACE audio codec support, using QuickTime 5 Win32 DLLs (libwine!)
    * libavcodec: various MJPEG decoding fixes - now it decodes all sample files!
    * mencvcd updates, sox/toolame support, etc
    * -vo dfbmga - play video on Matrox G400's second head using directfb 0.9.14
    * RealAudio ATRC (sony atrac3) audio support (using binary plugin)

    Filters:
    * -af/-af-adv options cleanup
    * now auto-inserting -vop lavc for MPEG-only vo's
    * video filter API documented :)
    * better deblocking filter (-vop pp), pp/npp syntax changed!
    * -vop 2xsai - 2x scaler for drawn images (low-color cartoon animations)
    * -vop unsharp - a sharp/blur filter, nice, but very slow
    * -vop il - (de)interleave fields
    * -vop swapuv - guess what :)
    * -vop boxblur - box blur...
    * -vop perpective
    * -vop sab
    * -vop smartblur



  pre9: Oct 24, 2002
    Docs:
    * man page rewritten again :)))
    * man page updated to latest options, including lavc options
    * Chinese docs translation added
    * Hungarian translation is (was? :)) up-to-date again

    Cleanup:
    * divx4_vbr.c is now really GPL - with the permission of the DivX.com guys!
    * cyuv decoder restructuring, now supports planar YUV formats, too
    * removed obsolete variables, like has_audio, has_video, allow_dshow, fifo
    * help_mp-XX.h files moved to help/ subdirectory, removed obsolete entries
    * the obsolete 0x1ff eof hack removed from MPEG-ES demuxer and decoders
    * stheaders.h cleanup, removed unneeded wine includes from MPlayer core
    * tons of compiler warning fixes, including some 10l ones
    * mga/xmga vo shared code, vesa and svga drivers cleanup
    * major vo drivers are now -fixed-vo compliant: x11, xv, xvidix, xmga, gl2
    * libmpdemux option handling cleanup - now it's MPlayer-independent again
    * removed fork() from LIRC input module
    * libfame removed from main tree/release - libavcodec is faster, better etc.

    Fixes:
    * Some fullscreen switching fixes, including Metacity vs KDE 3.1
    * Many GUI bug fixes
    * -vo DGA fixes, cleanup
    * -dvdkey sig11 fixed
    * K6-III's 3dnowex vs mmxext sigill fixed in mp3lib
    * -vo gif89, jpeg U-V swapping fixed
    * RTC setup fixes, more verbose messages, hints
    * MEncoder: demuxer/codec uninit order fixed (solves some sig11)
    * various v4l and ALSA capturing fixes
    * demux_mov: fixed crash with MPEG-4 on SPARC, decoding on big-endian
    * various NAS ao fixes
    * libvo: optional stride support for packed YUV / RGB formats
    * MEncoder: set keyframe flag on audio packets, fixes Windows seeking
    * loader: fixed 2 10l bugs, ATI VCR2 DLL now works. using new style CS code.
    * demux_avi: always use block counter even if dwSampleSize!=0, fixes samples
    * SPU decoder (DVD/VOBsubs): fixed 2 major bugs causing lost subtitles
    * various memory leak fixes (valgrind rulez :)
    * fixed RealAudio SIPR(O) codec (the wrapper didn't find the dspr.so.6)
    * mms:// audio (radio) streaming fixed
    * DVB: -vop lavc=bitrate is working again
    * various big-endian fixes

    Features:
    * new audio filter layer (libaf) - automatic samplerate conversion
    * experimental -vo directx driver for Cygwin build
    * unrarlib included for rar'ed VOBsubs
    * native XviD encoding (-ovc xvid) interface for MEncoder
    * new softeq filter with gamma support: -vop eq2
    * -ao/-vo accepts list of drivers and can fall back on one, like -ac/-vc
    * audio/video codec selection (-ac/-afm) rewritten, now uses codec/fm list
    * get_delay() smoothing (-autosync) - should help buggy sound drivers
    * smb:// URL support (disabled by default, ./configure part not yet done!)
    * support for 1/4/8bpp raw video (requires -vop palette / -vop 1bpp)
    * support for QuickTime alaw/agsm audio codecs, 3IV2, 3VID video codecs
    * swscale can now output YUY2 format, upscaled (default), unscaled (-sws 0)
    * VIDIX with LinuxPPC support (Mach64 is confirmed to work)
    * GUI: cache, autoq settings, start in fullscreen, toggle button in menu
    * New video filter to overlay images over video: -vop bmovl

    Libavcodec:
    * RV10 codec cleanup (2nd level demuxer moved to demuxer layer)
    * MPEG-4 interlaced DCT _en_coding support
    * luma masking support (encoding)
    * runtime selectable IDCT algo
    * faster MPEG-1/2 decoder
    * DV decoding (both PAL and NTSC)
    * MPEG-1 2-pass encoding support
    * better/cleaner error resilience (done in a 2nd pass after decoding)
    * H.263/MPEG-4 out of order slice decoding
    * -lavdopts bug= reworked, now uses flags, autodetects most of them
    * complete MPEG-4 GMC decoding support



  pre8: Sep 18, 2002
    Docs:
    * man page rewritten, now has better indenting, and can be converted to HTML
    * AUTHORS, MAINTAINERS converted back to separate text files, and updated.
    * ChangeLog file is included again (was removed after 0.18)
    * some new tech docs on libmpcodecs, updates/fixes in others, manpage.txt
    * more updates in translation files (help_mp-XX.h)
    * removed obsolete/unused entries from help_mp-en.h

    Cleanup:
    * XAnim interface merged & fixed, now uses mpi and supports direct rendering
    * cleanup of libmpdemux stream layer, especially of TV and MF parts
    * more unused files removed: vo_fsdga, vo_odivx, vd_rle, timer.c, ttf_load

    Fixes:
    * the http:// infinite memleak bug has been fixed, some WMS9 mms:// fixes
    * various SPARC/Sun, HP-UX and NetBSD/OpenBSD portability fixes
    * -vop palette fixes, CRAM and QPEG colors are OK now
    * demuxer fixed for >2GB nuppelvideo files
    * MEncoder: -ss fixed for 3-pass encoding
    * gui.conf locale bug fixed (again... hope this time it's OK)
    * X11 fullscreen switching fixed, when d_width == screenwidth
    * MOV files edit-list handling fixed - solved 'short read' issue

    Features:
    * new demuxer for .PVA files (file format of TV/DVB apps on Win32)
    * -mf now supports TGA (24/32bpp uncompressed/rle) images
    * libavcodec: support for interlaced MPEG-4 _de_coding
    * libavcodec: aspect ratio encoding support (MPEG-4, MJPEG, H.263?)
    * Win32 DLL loader merged/synced with avifile CVS



  pre7: Sep 5, 2002
    Cleanup:
    * libvo2, old input code & sis_vid removed, other code cleanups
    * tons of compiler warning fixes, some configure/Makefile improvements
    * more messages are translated, many translations updated
    * docs review continued, HTML cleanups
    * option -vfm/-afm now uses names instead of numbers, driver IDs removed

    Code:
    * vfw/vfwex cleanup, support for runtime csp queries, 8bpp support
    * new native mszh/zlib codec
    * libavcodec: 2-pass control code rewritten, now everything is customizable
    * libavcodec: MPEG-4/XviD en/decoding support improved, rv10 decoding fixes
    * various RealVideo demuxer and video codec fixes, sipr audio support
    * new video filters: soft eq (brightness), halfpack (deinterlacer), film noise
    * OGM subtitles support
    * optional freetype 2.1+ support for runtime-scalable .ttf font rendering
    * various networking and mms:// fixes, live.com support improved
    * various v4l video capturing and audio capturing fixes, audio input layer
    * libmpdvdkit2 - based on libdvdcss 1.2.2 + libdvdread 0.9.3 + key cache
    * alsa: iec958-init completely rewritten - better SP/DIF AC3 support

    GUI:
    * gui.conf locale bug fixed (hopefully)
    * preferences menu extended, runtime subtitle loading support
    * drag'n'drop support



  pre6: Aug 6, 2002
    * WMV1, Sorenson v1 (SVQ1) and RealPlayer 8.0 (RV20/30, Cook) codecs support
    * libavcodec M1 direct rendering
    * IPB support with Xv
    * libavcodec improvements, bugfixes (encoder and decoder side)
    * Raw DV demuxer
    * libdv-based DV audio/video decoder
    * Various MOV/MP4, RM and ASF/WMV demuxer bugfixes, improvements
    * Detection of AVI files which needs -ni
    * workaround for some Nandub bugs
    * Support for live.com RTP/RTSP streaming libraries
    * Support to rip DVD subs in VOBsub format
    * bug fixes of mpsub/srt converter
    * Closed Captioning (ASCII subs on RC1 DVDs) support
    * Massive directfb updates
    * VIDIX fixes/updates, including fixes of all known Radeon bugs
    * dithered 1/4/8 bpp support with -vo svga (EGA rulez:))
    * alsa9 fixes/improvements
    * native ARTS driver
    * various endianness and 64-bit fixes (including MEncoder and -ao pcm)
    * many small compatibility/portability fixes (better Cygwin, Darwin support)
    * GUI fixes (playlist, audio/video equalizer, preferences)
    * Skins (fixed many small glitches, a few new skins)
    * 'mencvcd' script (creating VCD/SVCD with MEncoder)
    * HTML DOCS updates
    * man page & README restructured (again :))



  pre5: Jun 8, 2002
    Documentation:
    * a lot of fixes, updates, cleanups
    * new README containing quick install guide
    * tech level docs on libavcodec encoding options
    * HTML doc is now IE 6.0.2600 compatible! :)))

    Code changes:
    * subreader (ASCII subtitle file parser) fixes
    * spudec (VOBsub) cleanup/fixes
    * new (faster, better) scaler
    * bbox support
    * mmst:// streaming support
    * OGM (Ogg) audio/video stream selection
    * native Micro$oft MPEG4v1 (MPG4) codec, error concealement for all MPEG-4s
    * various libavcodec encoding improvements
    * MPEG-1 && -vo x11 crash fixed when movie's height%16!=0
    * raw (uncompressed) video fixed (AVI & MOV)
    * flickering/blocking fixed for old VfW codecs (indeo3, cinepak etc)
    * introduced codecs.conf versioning to avoid problems caused by too old conf

    Display:
    * some more X11 cleanup, icewm fullscreen fixes, -vo gl/gl2 fixed
    * xscreensaver disabling support (optional, disabled by default)
    * pan&scan support in xv, xmga, xvidix
    * Xv YV12 stride problems fixed when width%8!=0
    * VIDIX Rage128/Radeon driver synced with MPlayerXP, various xvidix fixes
    * DVB A/V sync fixes, libfame updated to 0.9.0
    * native -ao arts driver
    * AC3 passthrough support for -ao alsa9
    * -ao nas fixed

    Miscellaneous fixes:
    * GUI: VCD and URL support, some bugs fixed
    * some cleanup of messages (less debug stuff) printed by MPlayer
    * gcc 3.1 support
    * various portability fixes (Cygwin, Darwin, 64bit SPARC/Alpha)



  pre4: May 13, 2002
    * X11 fullscreen toggle fixes with many window managers, multifile playback
    * DXR2 support
    * Output into animated GIF
    * "cropdetect" video filter to autodetect necessary cropsize
    * libavcodec marked as default encoder for MEncoder
    * man page rewrite
    * a lot of other fixes



  pre3: May 3, 2002
    * 3DNow! optimization of AC3 4ch downmix fixed, optimizations re-enabled
    * DGA error/fail after 1 second of playing fixed
    * big A-V desync for some AVI files fixed
    * image distortions when seeking in some MPEG files fixed
    * libmpdvdkit + gcc 3.x issue solved (our CFLAGS triggered a gcc3 bug...)
    * GUI aspect ratio and fullscreen switch fixes, cleanups
    * low-PS WMV playback fixed
    * Mac OS X (Darwin) port?
    * buggy v4l audio grabbing disabled, we cannot fix, but patches are welcomed!
    * various MJPEG improvements in libavcodec



  pre2: Apr 30, 2002
    * hwac3 fixes (try AFMT_AC3 first), big-endian fixes for PCM audio
    * 2-pass encoding with libavcodec (-lavcopts vpass=x), B-frames support
    * faster Ogg seeking (use -forceidx for slow but accurate one)
    * audio-only with GUI fixed
    * -rootwin fixed for x11, xv, xmga, xvidix
    * aspect ratio fix for ffmpeg12
    * MPEG-ES detection fixed
    * runtime cpudetect disabled by default
    * support for many new Win32 codecs, including mss1, tm20, ucod, truespeech
    * DivX audio dll sig11 with glibc 2.1.(2|3) fixed
    * libmpdvdkit - patched kit of DVD libraries (enabled for Linux+FreeBSD)
    * man pages updated
    * 'f' (fullscreen switch) fixed for some WMs, still has problems
    * various FreeBSD and OpenBSD portability patches
    * options -xy,-zoom,-flip usable with MEncoder, too, -xy keeps aspect
    * -vop lavc, using new fast best libavcodec for realtime MPEG-1 transcoding
    * fixed GTK GUI crash with --disable-mencoder
    * no more black VOBsub subtitles :)



  pre1: Apr 21, 2002
    * 100% GPL - yeah, so what?
    * runtime CPU detection - x86 MPlayer binary can run on "any" other x86 CPU
    * video filter layer - with numerous plugins (crop, expand, etc)
    * view or encode DVD/VOBsub and/or text subtitles into the output AVI
    * preliminary dvdnav support (experimental)
    * direct rendering - can't be used with libavcodec yet, sorry
    * display subtitles under the image, on black bands
    * FFmpeg (included) now supports decoding MPEG4v2 (MP42) and DivX 5.0 files
    * greatly enhanced MPEG-4 encoder (libavcodec)
    * audio-only (WAV/MP3/WMA/Ogg) file playback (console only)
    * playing/encoding audio from separate WAV/MP3 file
    * support for more file formats, including the new and very popular Ogg
    * multiple file playback from console, including various playlist formats
    * and of course, faster than ever... :)



MPlayer (0.60) "The RTFMCounter": Jan 2, 2002

  release:
    * minor bug fixes for RealMedia/nuppelvideo demuxers
    * docs updates
    * help file translation updates



  pre2: Dec 29, 2002
    * build fixes (install codecs.conf)
    * DVD subtitles improved (stability and pts fixes)
    * new options: -alang, -vlang, -rootwin, -npp ... (rtfm)
    * DXR3 fixes
    * AC3 passthrough fix
    * docs updates
    * make install



  pre1: Dec 25, 2002
    * new file formats (MOV, FLI/FLC, VIVO, RealMedia, NuppelVideo, yuv4mpeg,
      yuv4mpeg2)
    * more native codecs (CRAM, CVID, FLI, generic ADPCM (and IMA) decoder,
      g723, XAnim)
    * MEncoder (a tool for encoding video to DivX4+MP3)
    * rewritten configure script (better autodetection, cleaner messages)
    * MMX/SSE optimizations
    * faster postprocessing filter, syntax change (deinterlacing support)
    * DirectShow code in C
    * software YV12 scaling
    * aspect ratio fixes
    * input cache for smoother network/DVD playback
    * GUI fixes and new skins
    * DVD subtitles
    * playing in root window (-rootwin)
    * liba52
    * audio filters (surround, 5.1, up/downsample, etc)
    * new homepage design
    * grabbing from TV through v4l
    * hardware MPEG decoder support (DXR3, Siemens DVB)



MPlayer (0.50) "The Faszom(C)ounter": Oct 8, 2001

  release:
    * documentation updates
    * non-Linux build fixes



  prex 1-3: Sep 28 2001 - Oct 5 2001
    * some pre-beta nationalization support
    * HTMLized documentation, split in sections
    * a lot of bug fixing
    * new AAlib driver (independent of SDL, SUB/OSD support)
    * DivX DirectShow equalizer over keyboard
    * dynamic setting of DivX postprocessing quality (-autoq)
    * updated FAQ section on the homepage



MPlayer (0.18) "The BugCounter": (0.18 only consisted of prereleases)

  pre 1-5: Jun 26 2001 - Jul 9 2001
    * mp3lib even more optimized for 3DNow!/MMX
    * GGI driver
    * ICCCM patch

    * skin support
    * GUI support

    * libao2 (null, oss, alsa, sdl) introduced
    * ASF seeking fixed
    * option to force audio playback samplerate (-srate)
    * framedropping for MPEG files as well
    * X11 driver works on remote display (without SHM)
    * A-V sync for AVI files fixed (both -bps and -nobps)



MPlayer v0.17a "IdegCounter++": Apr 27  2001
  - first 0.17 release failed - buggy files outdated docs etc :(
    it's (hopefully) fixed now.



MPlayer v0.17 "IdegCounter": Apr 27, 2001
  * DVD playing (libcss)
  * OSD and subtitles with antialiased fonts
  * new Win32 codecs (WMV1,AP42,ASV2 etc)
  * new VO drivers (SVGAlib,fbdev,DGA,SDL etc)
  * source cleanup, most part of the code rewritten

* jumped to 0.17 * (why 17? oh. chass just got a new 17" monitor :))

  - faster memcpy() routine (MMX/3DNow!/SSE-optimized)
  - new stream selection code (autodetected)
  - pre-devel-alpha DVD code (libcss)
  - subtitle code 100% (perfected timing code)
  - new output drivers (SVGAlib, FBdev)



MPlayer v0.11-pre27-CVS:
  - updated libmpeg2 source to libmpeg2-0.2.1-CVS version
  - updated OpenDivX encore/decore to 4.0 alpha48
  - cmdline/configfile handler by szabi
  - added DirectShow support (now DivX-only)
  - bugfix: stream.c/stream_new() uninitialized variables



MPlayer v0.11-pre26-CVS:
  - updated libmpeg2 source to libmpeg2-0.2.0 version
  - small fixes



MPlayer v0.11-pre25-CVS:  yeah, we moved to SourceForge CVS!
  - DOCS updated (email address changed from arpi@* -> maillist)
  - LIRC fix, mplayer_lirc changed back to mplayer [Andreas Ackermann]
  - stream.c: unsigned int fixes, required for some strange ASF files
  - asfheader.c: using w=h=b=1 for audio_concealment_none
  - VCD-related stuff moved from stream.c to vcd_read.c
  - added DGA driver by Andreas Ackermann
  - added debian/ subdir for the Debian package makers... see DOCS/DEBIAN
  - new Makefile/dependency system
  - added check_events() to libvo, X11 stuff moved to x11_common.c



MPlayer v0.11-pre24: Feb 19, 2001
  small fixes again :(
  - DOCS/LIRC changed: users *must* enable lirc support manually, it is
    not autodetected yet.  (./configure --enable-lirc)
  - the {prefix} bug fixed by Gabucino
  - added man page by Gabucino
  - man page -vo fixes by A'rpi



MPlayer v0.11-pre23: Feb 18, 2001
  lirc support, text updates, mailinglists
  - added "-ni" option to force usage of the non-interleaved AVI parser
  - DOCS/* updated by Gabucino
  - new homepage by Gabucino
  - MPlayer-users & announce mailing lists by Dariusz Pietrzak (see README)
  - LIRC support by Andreas Ackermann (see DOCS/LIRC)
    enable with ./configure --enable-lirc
    TODO: ./configure should detect LIRC installed and better Makefile handling
  - added AVI_NINI parser for broken (no index) non-interleaved files



MPlayer v0.11-pre22: Feb 16, 2001
  last fixes, release is coming soon!
  - non-interleaved AVI EOF bug fixed  [thanks to DC-1 for help]
  - "You" strings in Makefile after make dep bug fixed...  [thx to DC-1]
  - SDL disabled by default. You have to ./configure --enable-sdl to enable.
  - homepage updated by Gabucino
  - homepage updated by A'rpi
  - FAQ updated by A'rpi

fork()  -> 0.12pre1



MPlayer v0.11-pre21: Feb 12, 2001
  MPEG-1 pp, stereo fix
  - "Skip chunk xxxx" messages moved from -v to -v -v -v debug level...
    [thanks to Christoph H. Lampert]
  - DivX postprocess filter works for MPEG-1 files, too! (-divxq 1/3/7/31)
  - MPEG layer-2 audio fixed - it's stereo again!!!
  - audio select() detection: if detected audio buffer size == 0, then
    exit with message "Recompile mplayer with #undef HAVE_AUDIO_SELECT !"...
  - syncfb driver added to the source tree, under drivers/
    (it's very similar to mga_vid, but has syncronization to screen and
     de-interlace features)
  - draw_slice in syncfb finished for G400 cards (plays MPEG-1/2, OpenDivX)
    (de-interlacing has been disabled, because it's buggy now)



MPlayer v0.11-pre20: Feb 11, 2001
  NI-AVI support, small fixes & patches...
  - ASF parser: flag 0x40 (explicit packet size) implemented [Marvin]
  - new option to select DSP device:  -dsp   (default: /dev/dsp) [Pontscho]
  - option -o changed to -vo
  - ./configure: applied patches  [LGB,Ian Kumlien,Magnus Pfeffer]
  - AVI chunk_id->ds mapper moved to demux_avi_select_stream()
  - added non-interleaved AVI parser
  - added non-interleaved AVI detection (if a_pos-v_pos distance > 1MB)



MPlayer v0.11-pre19: Feb 9, 2001
  small fixes...
  - vo_xmga.c: G200 draw_slice fixed
    xmga + mga: common part (draw_frame & draw_slice) moved to mga_common.c
  - some independent code (asfinfo.c and GL-test) moved to the new TOOLS subdir
  - movinfo.c added to TOOLS (small util to dump MOV file structure)
  - AVI & ASF stream id detection changed: now using IDs from the header
    (but still can be overriden by -aid or -vid)     [Christoph H. Lampert]
  - native MS-GSM audio codec ported from avifile source  (-afm 6)
    [thanks for the testfile to Christoph H. Lampert]
  - README updated (input & codec lists)
  - implemented ASF audio descrambling  [Dirk Vornheder & Einon]
    -> that weird_al_yankovic ASF is not so weird now :)
  - AUTHORS file changed



MPlayer v0.11-pre18: Feb 7, 2001
  patch release :)
  - skip broken ASF fragments (for better seeking)
  - seeking code cleanup in sources (now it's in a switch(){})
  - opendivx encoding bitrate option changed from -divxq to -br
    (for the DivX -> DivX re-encoding)
  - TO DO section moved to file TODO
  - applied ./configure and Makefile changes patch from LGB
  - libvo function changes by Pontscho: x11 (with -fs), xmga (bugfixed!)
  - libvo: driver sources renamed from video_out_*.c -> vo_*.c
  - libvo: added uninit() function to drivers
  - libvo: fork()'ed X11 eventhandler for x11 and xmga drivers  [me & Pontscho]
     (gl and xv version is coming soon!)
  - libvo: sdl driver now closes SDL at QUIT...
  - small English fixes (docs & messages)   [Balazs Tibor]



MPlayer v0.11-pre17: Feb 4, 2001
  fixes
  - ASF "missing video stream" fixed (stream id & 0x7F)  [Christoph H. Lampert]
  - added GL-test directory, it contains source and compiler script of a
    very simple open-gl texture updating (glTexSubImage) test program.
    if it runs well, then mplayer -o gl should work, too.
    it works on G400+Utah-GLX, but segfaults in the G400 driver of X 4.0.2/DRI.
    try it with different cards/drivers, and please report me the results.
  - benchmarking in gltest.c: calculate fps and process times
  - ASF seeking v0.01-pre0.1 :)



MPlayer v0.11-pre16: Feb 4, 2001
  ACM fixed
  - Win32/ACM audio codec fixed (most important for ASF with DivX audio):
    There was an output buffer size problem with the Win32/ACM audio codec
    at low bitrates (usually used for ASF files with DivX audio)
    Input and output buffer sizes are now queryed, problem solved :)
  - SDL support compiling hint by Michael Durller added to the FAQ
  - opendivx support in ASF files   [Gérard Lantau]
  - ./configure & Makefiles patch by Aaron Hope applied.
    (adds --with-win32libdir and fixes --with-x11libdir)
  - ./configure fixed, now it defaults to /usr/lib/win32 if detection failed



MPlayer v0.11-pre15: Feb 2, 2001
  ASF sync fixed
  - ASF parser: now supports other than 0x5D segments  [Dirk Vornheder]
  - new ASF PTS reading: sync works now, including fps...
    (-fps no longer required!)  [thanks again to Eugene Kuznetsov for docs!]



MPlayer v0.11-pre14: Feb 1, 2001
  small fixes, ASF sync v0.1 :)
  - version number incremented :)))
  - libvo / Xv driver swapped red-blue fixed
  - ASF timestamps implemented - now ASF A-V should be in sync if you
    specify the correct fps at commandline (-fps), +-1 fps allowed...
    [i haven't yet found method to get fps out from ASF headers :(((]
  - some error and consistency checking into demux_asf
    if you see many warning! messages playing an ASF file, then contact
    me and upload the file (first 1MB is enough if it represents the problem)
    Don't forget: there is no public doc about the ASF file format, so
    everything we know is suspected and can be wrong... without your help
    we will never have a working ASF player...
  - ASF fragment offset checks disabled for grouping...



MPlayer v0.11-pre13: Jan 31, 2001
  libvo changes, MPEG bitrate, VCD fix, ASF grouping
  - libvo: draw_slice() interface changed, now it has src stride[3] and
    destination rect dimension (w,h,x,y)
    It's able to blit whole frames, not only 16-pixel slices...
  - libmpeg2 and opendivx codec changed to use new draw_slice()
    -> opendivx extra 64-pixel width band at right disappeared!
  - MPEG bitrate fix: if picture->bitrate==0x3FFFF (means "unspecified" ?)
    then using standard VCD bitrate (75*2324 bytes/sec)
    -> fixed seeking for those MPEGs with "16MBit/s" bitrate...
  - drivers/sis_vid: video4linux interface disabled
  - broken VCD playing fixed: stream_reset shouldn't seek to 0x0...
    [bugreport: Kang Sun]
  - asf_parser: grouping implemented!  [test file provided by Gabucino :))]



MPlayer v0.11-pre12: Jan 30, 2001
  ./configure fixes, improved odivx-encoding, streaming fixes
  - ./configure: use /tmp/main$$.c instead of /tmp.main.c, and
    remove file after tests  [SaPe]
  - ./configure: trying the gcc optimize options and fall back on 'pentium'
    if it fails (useful for people with old gcc and new CPU :))
  - removed -fomit-frame-pointer from OPTFLAGS at config.mak
  - version number incremented [Gabucino]
  - odivx encoder fix: allow long (longer than xxxx.avi) destination filenames
    (sizeof() changed to strlen()...)  [Gabucino]
  - AVI writer - overwrite disabled (exits with error message if destination
    file already exists...)  [Gabucino]
  - use -divxq to set encoding bitrate (in bits (not kbits!) default: 780000)
  - no audio decoding if -encode option is used
  - audio streaming disabled if -nosound specified (setting audio_id to -2)
  - fast MPEG-ES detection (doesn't read the whole MPEG-PS file)
  - compile-time option to disable using soundcard driver's select()
    (required for some people with buggy/pre-alpha/etc sound driver...)



MPlayer v0.11-pre11: Jan 29, 2001
  streaming fixes, ASF support pre, indeo5 fix
  - asf/asfinfo.c improved: now dumps streams to files - needs testing!
    (it's ready to be converted to ASF demuxer and integrated into MPlayer)
  - stream.c / stream_reset() fix: now really seeks back to position 0!
  - ASF file format detection added (no ASF reading yet!!!)
  - ASF demultiplexer added, changes in demuxer.c to handle fragmented packets
  > it plays ASF video well, but still has problems with DivX/WMA audio. :(((
  - indeo 5 playing fixed (removed ICDECOMPRESS_UPDATE from flags)
  - xmga resizing problems with some window managers, so default order is
    changed xmga,xma... to mga,xmga,...
  - found gcc bug: compiling MPlayer with flags
    OPTFLAGS=-O -g -march=i686 -mcpu=i686 -pipe -fomit-frame-pointer -ffast-math
    causes image sizes negating -> mga_vid kernel driver Oops... :(((
  - runaway.bride.sample.avi seeking segfault discovered: AC3 resync fails :(
  - improved signal handling: module name is now printed. audio_resync added.
  - RGB opendivx encoding implemented, now AVI->opendivx is possible.



MPlayer v0.11-pre10: Jan 22, 2001
  OpenDivX encoding, streaming fixes, AVI seek fixes
  - new libvo driver: odivx  (OpenDivX File Writer)
  - AVI file writing support, new option:  -encode filename
    to encode an MPEG/VOB/VCD to opendivx:
      mplayer file1.mpg -encode file2.avi -o odivx -nosound
    (sound encoding/copying is not yet supported)
  - libvo: default driver priority changed to: xmga,mga,syncfb,3dfx,xv,x11,gl
  - AVI writer: index support
  - small fixes in AVI writer to be compliant (adjusted chunk/list lengths)
  - demuxer.c: stream buffering fixes:
    - missing {} in mplayer.c occurring audio reads when has_audio=0
    - reordered packet reader and pack count checks -> no more unwanted EOF
    - added 4MB buffer memory usage limit to demuxed streams
  - CPU flags in ./configure changed:
      k7 -> k6  (current stable gcc doesn't support k7)
      386,486 -> i386,i486    [Balazs Tibor]
  - demux_avi: index check now accepts (raw.len+1)==idx.len  [Balazs Tibor]
  - FAQ added

    **  Now we are done with planned features & urgent fixes,   **
    **  it's time for final testing and then the 0.11 release!! **



MPlayer v0.11-pre9: Jan 18, 2001
  OpenDivX fixes,speedup
  - solved OpenDivX width problem (stride=width+(Quality?0:64))
    now -divxq 0 works, and 0 is the default
  - libvo call moved out from my_convert_yuv() so it can be measured (CPU %)
  - IDCT code ported from libmpeg2 -> much faster OpenDivX decoding



MPlayer v0.11-pre8: Jan 18, 2001
  SDL fixes, OpenDivX support
  - added -I/usr/X11R6/include to libvo CFLAGS
  - (removed later: applied libvo SDL driver fixes by Jeffrey Boser)
  - OpenDivX support, initial hack, maybe not working for you...
    (I need testfiles, I have only one)
    use -divxq option to adjust quality (1..29 works), 1=default



MPlayer v0.11-pre7: Jan 14, 2001
  SDL support
  - ported SDL driver from mpeg2dec/libvo (current CVS)
    (it's slower than internal X11 driver, but supports software scaling!)
  - fixed SDL driver to support -fs and pass keyboard events
  - SDL driver changed to support YV12 and YUY2 formats instead of IYUV
    (now works with DivX files, too)
  - 'q' (Quit) disabled in SDL fullscreen mode (because it's impossible
    to restore screen before exiting so it gets into an unusable state now)



MPlayer v0.11-pre6: Jan 14, 2001
  audio fix
  - fixed video_out_xv.c compilation problems [bugreport: Kalle Mellerup]
  - modified audio playing: always keep buffer (both internal and card's)
    filled using select() -> -alsa audio delays should be fixed.
  - updated DOCS/AUTHORS and DOCS/README



MPlayer v0.11-pre5: Jan 12, 2001
  xmmp audio support, applied Pontscho's libvo patch
  - xmmp audio driver support by Arthur Kleer
  - new video_out driver by Pontscho: xmga  (Matrox G200/G400 only!)
    It does same under X 3.3.x what Xv extension does under X 4.0.x!
    (you will have a moveable/resizeable window but see a YUV video
     overlay in it using color keying)
  - added keyboard event support in X11 windows    [Pontscho]
    (using mplayer_[put|get]_key() in codecctrl.c)



MPlayer v0.11-pre4: Jan 6, 2001
  x11 driver fixes, 15/16bpp support
  - version in version.h fixed :))) [Pontscho]
  - inttypes.h moved to DOCS/ (copy back to the root if you need it)
  - depth calculation in vo_init() changed (Pontscho's version couldn't
    differenciate between 15 and 16bpp)
  - x11 driver now uses vo_init() instead of get_depth()
  - yuv2mmx: 15bpp not really supported -> removed from list, now
    conversion is done (well) by the C code -> MPEG play in 15bpp works!
  - AVI playing support added in 15bpp (memcpy)
  - AVI playing support added in 16bpp (C 15->16 converter by me)
  - AVI playing support added in 16bpp (MMX 15->16 converter by Strepto)
  - libvo/x11: yuv2rgb used MMX code on non-MMX CPUs, too!!! fixed...
  - all x11 modes tested (and MPEG/24bpp byteorder fixed):
                  MPEG:            AVI/VfW:
        15bpp    C convert        memcpy
        16bpp    MMX/C convert    MMX/C convert
        24bpp    C convert        memcpy
        32bpp    MMX/C convert    memcpy / C conv.
    => now all the movie types are viewable using the -o x11 driver!



MPlayer v0.11-pre3: Jan 5, 2001
  MPEG fixes, fullscreen support
  - vertical.mpg serious libvo (x11,gl) segfaults fixed:
    yuv2rgb_mmx requires one more lines that vertical image size...
    fixed (allocating memory for width*(height+1)).   [bug report: Gabucino]
  - Pontscho's fullscreen patch applied!
    Using option -fs will maximize window size (for all resizeable drivers
    including mga!) and disable window decorations (x11,Xv,gl only)
  - simple inttypes.h included for libc5 (and glibc2.0, too?) users
  - homepage updates (links changed ftp->http)



MPlayer v0.11-pre2: Jan 4, 2001
  better user messages, MP3 codec selection, demuxer changes
  - w32codec.zip restored at the FTP site (somehow it got damaged...)
  - added version.h, and used its content everywhere
  - 'premature end-of-file' problem fixed: freeing audio buffers and
    setting d_audio->id=-2 if has_audio==0  [bugreport by Dmitri Pogosyan]
  - some more messages added if verbose>=1
  - demuxer.c: error message printed if A or V chunk buffer is full
    'mplayer test.avi -aid -2' still not works without option '-nosound'
  - adding new config.h option to set default MP3 audio codec (mpg123/l3codeca)
    ./configure selects mp3lib only if you have 3DNow!   [idea: Gabucino]
  - automatic fall back on mp3lib/mpg123 if l3codeca.acm can't be loaded/inited



MPlayer v0.11-pre1:
  AVI sync fixes
  - AVI audio seeking improvements: now using nBlockAlign value to seek
    inside the chunk, so DivX audio works without big delays!!!
  - AVI PTS calculation modified: counting video PTS when skip_video_frames>0
    so new audio PTS values will be correct. Solved many sync probs!
  - A-V sync with AVI files fixed!
    Now only the Desperado-trailer has 1.0 sec delay after seeking.
  - fixed AVI sync in -bps mode, too! :)  (perfect except that Desperado AVI)



MPlayer v0.10: Jan 1, 2001  "The new year" release!
  - testing
  - docs changed
  - it's time to release and remove the old buggy 0.09 version...
  - release!!!



MPlayer v0.10-pre8:  libvo/x11 changes
  - libvo: x11/xv driver split into x11 and xv drivers
  - libvo: DUMMY_VO_FUNC removed from driver sources
  - libvo: default driver order changed, because some users with software-only
           OpenGL thought that this 'slow' player can only play at 1-3fps :)



MPlayer v0.10-pre7: Dec 31, 2000
  libmpeg2 interface changes, display size/area changes, AVI fixes
  - libmpeg2/decode.c modified:
    - removed unused OMS and mpeg2dec stuff
    - decode_data rewritten, now works like parse_es.c
      => doesn't copy any data -> faster and less memory usage
  - mplayer.c sends code 0x1FF after every frame, so libmpeg2 knows
    when to display it
  - mplayer.c: in_frame flag fixes, didn't work well with MPEG-2 streams
    (because there is a 0x1B2 chunk between 0x100 and 0x101)
  - 'picture' changed from static to shmem-allocated
    -> better picture after codec restart (tested with JapAd.mpg)
    -> keep information of the header changes (after init)
  - MPEG image size changed, now only the real part of frame is displayed
    (no more green stripe at the bottom)
    - picture struct: new fields: display_picture_width/height
    - image buffer allocation (shmem) is done by decode.c instead of libvo
  - new option:  -xy <value>  (resize both x/y direction)
    if value<=8  ->  x_scale = y_scale = value
    else         ->  x_size=value  y_size=aspectratio*x_size
  - mplayer.c: video output moved out from AVI/MPG init sections and
    now it's common code (added movie_size_x/y variables and out_fmt global)
  - new keys:
    ESC       => quit
    + and -   => adjust audio delay +- 0.1 second
    k         => kill/restart the MPEG codec process (for testing)
  - codec control interface changed: wait for syncword after (re)start
    to avoid receiving old frames => it's stable again!
  - removed (now unused) allocate/free image buffer code from libvo
  - mplayer: new internal variable for video format: has_video
       0 = none (unused yet)
       1 = MPEG-1/2 video
       2 = Win32/VfW video codec
  - config.h has defaults for bps-based AVI sync and ALSA timer code options:
     #undef AVI_SYNC_BPS  => now it's disabled by default!!! use -bps to enable
     #define ALSA_TIMER   => now it's enabled by default!!! use -noalsa to dis.
  - help updated
  - prints max compressed framesize at exit (both AVI & MPEG)
  - AVI audio seeking fixed: some ACM codecs (DivX audio and ms-adpcm)
    can't seek inside a chunk, they are only able to play whole chunks.
    Current audio seeking has changed to seek inside the chunk only if the
    codec supports it (only internal codecs and ACM/MP3 allows it).
  - AVI: audio delay correction if seeking inside the chunk is not possible



MPlayer v0.10-pre6: Dec 24, 2000 "Xmas edition"
  MPEG signal & EOF fixes
  - ./configure: k6_mtrr (2.4.test11+) added [Pontscho]
  - `term destroys if mplayer (MPG) called from mc.ext` bug fixed:
    added sighandler to the 3rd process (MPEG codec) to avoid sig. recursion
  - better output at exit (handled now by exit_player())
  - MPEG EOF problem (codec restart) fixed: added EOF detection to parse_es.c
  - internal flag 'current_module' added to get more info at segfaults
    (contains module number where the segfault occurred)
  - audio detection changed: using afm=4 (Win32/ACM) for MP3 audio (AVI files)
    (you MUST have l3codeca.acm at /usr/lib/win32, or you have to use '-afm 1')



MPlayer v0.10-pre5: Dec 22, 2000
  flipping fixed
  - AVI image flipping reworked:
    - new flag: avi_header.flipped, TRUE if upside-down
    - image flipping code removed/disabled from libvo modules
    - duplicate flip_page() calls removed (overload with x11 and mga)
  - aLaw audio codec (AVI id 0x06) added (uses code from XAnim source)



MPlayer v0.10-pre4:
  test release, small fixes
  - video_out driver <-> codec incompatibility message changed
  - fixed the config.format bug in drivers/mga_vid_test, so it works again!
    [thanks to David Whysong]
  - libmpeg2 upgraded



MPlayer v0.10-pre3: Dec 10, 2000
  test release, verbose mode, new docs
  - new option:  -v  =  increment verbosity level
    (debug printf's changed to verbose level-dependent)
    - default level: 0, only some informal output
    - init debug:    1, some basic debug infos, AVI header, function values
    - player debug:  2, print AVI indexes, chunk inputs, more debug infos
    - parser debug:  3, prints everything related to input parsers
    to increment verbose level, use multiple -v options (-v -v -v for level 3)
  - bitrate calculation for AVI files
  - README rewritten, added Troubleshooting and Bugreports sections
  - TVout directory added (only the scripts)



MPlayer v0.10-pre2: Dec 8, 2000
  bugfix test release, bps-sync enabled
  - AVI: supporting both 0-based and movi-based index types (autodetect)
  - AVI: tested with VBR audio: plays well with -mc 0 option, seek doesn't
    work yet   [thanks to Alan Chen for testfile]
  - AVI: A-V sync to avg. byte/sec implemented (again) and enabled by default
    (disable with -nobps if you want)
  - ./configire: 3rd name ('kni') of the P3 added. Where is the compatibility?
  - useless '\' removed from libac3/Makefile  [Otvos Ferenc]



MPlayer v0.10-pre1: Dec 5, 2000
  test release, players merged!!!
  - avip and mpegp have been merged to a single binary called 'mplayer'
    - file type detection (AVI/MPEG-PS/MPEG-ES/Other)
    - no redundant code (common code for common jobs)
    - big format-dependent codes moved to functions (separated files)
    - better error messages, removed some debug stuff, code cleanups
  - old libmpeg2 version removed from source tree
  - help texts merged (help_avi+help_mpg -> help_mp)
  - new options:  -x <x> -y <y>     = scale image (if selected driver supports)
    if value<=8 then image size will be multiplied by value, otherwise
    image size will be scaled to <value> pixels.
    For example:
      2x ZOOM:  mplayer -x 2 -y 2 test.mpg
      800x600:  mplayer -x 800 -y 600 test.mpg
    [default values are still configurable at compile-time, see config.h]
  - TV project (not finished) codebase added (see tvision.c, or: make tvision)



MPlayer v0.09: Dec 5, 2000
  Beta release [same as 0.09-pre3]
  - version changed in the files
  - docs updated



MPlayer v0.09-pre3: Dec 3, 2000
  bugfix test-release, X11 support testing
  - fixed the  if [ -z $pparam ]  bug in ./configure  [Christian Birchinger]
  - many changes in AVI seek code, resulting in near-perfect seeking now!
    current method calculates absolute audio position, so with VBR audio it
    doesn't work yet...
  - avip: Xv support (YUY2 image format)
  - avip: X11 support (24 & 32 bpp only, BGR format)
    I need a very fast 15->16bpp converter for 16bpp support... anyone helps?



MPlayer v0.09-pre2:
  bugfix test-release
  - removed unnecessary code from libmpeg2/header.c
    Walken told me that standard MPG/VOB streams must NOT use framerate
    and bitrate extension... and the ext. id check is done by the caller.
  - CRC support to mp3lib's MPEG audio layer-2 decoder
    thanks for bug report & test file to Samson



MPlayer v0.09-pre1: Dec 1, 2000
  bugfix test-release
  - imported new libmpeg2 files (under testing...)
  - GL renderer flickering bug fixed (MMX missing emms() between yuv2rgb and
    glTexSubImage(), bug triggered by new Utah-GLX code)
    [thanks to Christian Birchinger]



MPlayer v0.08: Nov 27, 2000
  Index support, AVI seeking, DLL loader fix, compilation fixes
  - Added support for chunk index usage (disable with -noidx option)
  - Removed code optimization flags from loader/Makefile because
    it segfaults if compiled optimized (it does some hacks with
    pointers, maybe the reordered code confuses it)
  - added new tool called aviparse  (read and check AVI file structure)
  - indexed and raw chunk info comparing, bad chunks dropped
  - termcap usage is optional (for those Debian users without termcap)
  - #if HAVE_* fixed (to #ifdef HAVE_*)
  - ./configure supports new /proc/cpuinfo (2.4.0-test11)
      - sse is called 'sse' again
      - 'flags' field renamed to 'features'
  - Xv benchmark results added to DOCS/SPEED
  - AVI seeking (and other goodies, pause etc) implemented
    no PTS resync after seek yet.
  - default video_out driver changed from 'mga' to the first available driver
    new driver priority:  mga_vid, opengl, x11



MPlayer v0.07: Nov 21, 2000
  Easier compile
  - Added Pontscho's ./configure script (it's modified a lot)
  - Updated makefiles, and tested a lot :)
  - Updated DOCS/INSTALL



MPlayer v0.06: Nov 20, 2000
  Better codec selection
  - AVI audio&video codec selection moved to new codecs.c file,
    loader/driver.c and loader/afl.c modified for this
  - YUV support fixed, codecs.c setup flags to handle YUV properly
    YUV works fine with DivX, MPEG-4, cvid, and upside-down iv50
  - DOCS/INSTALL updated
  - DOCS/SPEED updated, DivX benchmarks added



MPlayer v0.05: Nov 18, 2000
  Merged with MPEGplayer 0.90pre6, first public release of AVI player
  - code merged with mpegplayer, new Makefile, some small modifications
  - docs updated and moved to DOCS



MPlayer v0.04: Nov 17, 2000
  YUV (YUY2) support with DivX 3.11 DLL, some code cleanup, preview-release



MPlayer v0.03: Nov 14, 2000



MPlayer v0.01: Nov 11, 2000
  first preview version based on new MPEGplayer's codebase.
  it contains the Win32 loader from avifile, and can decode DivX 3.11 video.



mpg12play v0.9-v0.95pre5: Oct 21-Nov 2, 2000
       MPEG codec was libmpeg2 (mpeg2dec) by Aaron Holtzman & Michel
       Lespinasse. It's great, optimized very fast C code with perfect
       image quality and 100% MPEG standard conformance.



mpg12play v0.5-v0.87: Sep 28-Oct 20, 2000
       MPEG codec replaced with DVDview by Dirk Farin, it was great
       stuff, but it was slow and was written in C++ (I hate C++!!!)



mpg12play v0.1-v0.3: Sep 22-25, 2000
       The first try, hacked together in half an hour! I've used libmpeg3
       from www.heroinewarrior.com up to the version 0.3, but there were
       image quality and speed problems with it.
